DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Custom Templates

The Scheduler contains the following properties used to specify custom templates globally and for individual views:

To customize the appointment details form, implement the onAppointmentFormOpening handler. In this demo, this handler adds custom fields to the appointment details form.

www.wikipedia.org
Backend API
$(() => { $('#scheduler').dxScheduler({ timeZone: 'America/Los_Angeles', dataSource: data, views: ['day', 'week', 'timelineDay'], currentView: 'day', currentDate: new Date(2021, 3, 27), firstDayOfWeek: 0, startDayHour: 9, endDayHour: 23, showAllDayPanel: false, height: 600, groups: ['theatreId'], crossScrollingEnabled: true, cellDuration: 20, editing: { allowAdding: false, }, resources: [{ fieldExpr: 'movieId', dataSource: moviesData, useColorAsDefault: true, }, { fieldExpr: 'theatreId', dataSource: theatreData, }], appointmentTooltipTemplate(model) { return getTooltipTemplate(getMovieById(model.targetedAppointmentData.movieId)); }, appointmentTemplate(model) { const movieInfo = getMovieById(model.targetedAppointmentData.movieId) || {}; return $(`${"<div class='showtime-preview'>" + '<div>'}${movieInfo.text}</div>` + `<div>Ticket Price: <strong>$${model.targetedAppointmentData.price}</strong>` + '</div>' + `<div>${DevExpress.localization.formatDate(model.targetedAppointmentData.displayStartDate, 'shortTime') } - ${DevExpress.localization.formatDate(model.targetedAppointmentData.displayEndDate, 'shortTime') }</div>` + '</div>'); }, onAppointmentFormOpening(data) { const { form } = data; let movieInfo = getMovieById(data.appointmentData.movieId) || {}; let { startDate } = data.appointmentData; form.option('items', [{ label: { text: 'Movie', }, editorType: 'dxSelectBox', dataField: 'movieId', editorOptions: { items: moviesData, displayExpr: 'text', valueExpr: 'id', onValueChanged(args) { movieInfo = getMovieById(args.value); form.updateData('director', movieInfo.director); form.updateData('endDate', new Date(startDate.getTime() + 60 * 1000 * movieInfo.duration)); }, }, }, { label: { text: 'Director', }, name: 'director', editorType: 'dxTextBox', editorOptions: { value: movieInfo.director, readOnly: true, }, }, { dataField: 'startDate', editorType: 'dxDateBox', editorOptions: { width: '100%', type: 'datetime', onValueChanged(args) { startDate = args.value; form.updateData('endDate', new Date(startDate.getTime() + 60 * 1000 * movieInfo.duration)); }, }, }, { name: 'endDate', dataField: 'endDate', editorType: 'dxDateBox', editorOptions: { width: '100%', type: 'datetime', readOnly: true, }, }, { dataField: 'price', editorType: 'dxRadioGroup', editorOptions: { dataSource: [5, 10, 15, 20], itemTemplate(itemData) { return `$${itemData}`; }, }, }, ]); }, }).dxScheduler('instance'); function getMovieById(id) { return DevExpress.data.query(moviesData) .filter('id', id) .toArray()[0]; } function getTooltipTemplate(movieData) { return $(`${"<div class='movie-tooltip'>" + "<img src='"}${movieData.image}' />` + '<div class=\'movie-info\'>' + `<div class='movie-title'>${ movieData.text} (${movieData.year})` + '</div>' + '<div>' + `Director: ${movieData.director }</div>` + '<div>' + `Duration: ${movieData.duration} minutes` + '</div>' + '</div>' + '</div>'); } });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <script src="https://cdnjs.cloudflare.com/ajax/libs/cldrjs/0.4.4/cldr.min.js"></script> <script src="https://cdnjs.cloudflare.com/ajax/libs/cldrjs/0.4.4/cldr/event.min.js"></script> <script src="https://cdnjs.cloudflare.com/ajax/libs/cldrjs/0.4.4/cldr/supplemental.min.js"></script> <script src="https://cdnjs.cloudflare.com/ajax/libs/cldrjs/0.4.4/cldr/unresolved.min.js"></script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.5/css/dx.light.css" /> <script src="js/dx.all.js"></script> <script src="data.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div class="long-title"><h3>DXCinema Show Times</h3></div> <div id="scheduler"></div> </div> </body> </html>
.dx-tooltip-wrapper .dx-overlay-content .dx-popup-content { padding: 14px; } .showtime-preview > div:first-child { font-size: 12px; white-space: normal; } .showtime-preview > div:not(:first-child) { font-size: 11px; white-space: normal; } .movie-tooltip .movie-info { display: inline-block; margin-left: 10px; vertical-align: top; text-align: left; } .movie-tooltip img { height: 80px; margin-bottom: 10px; } .movie-tooltip .movie-title { font-size: 1.5em; line-height: 40px; } .long-title h3 { font-family: 'Segoe UI Light', 'Helvetica Neue Light', 'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana; font-weight: 200; font-size: 28px; text-align: center; margin-bottom: 20px; }
const moviesData = [{ id: 1, text: 'His Girl Friday', director: 'Howard Hawks', year: 1940, image: '../../../../images/movies/HisGirlFriday.jpg', duration: 92, color: '#cb6bb2', }, { id: 2, text: 'Royal Wedding', director: 'Stanley Donen', year: 1951, image: '../../../../images/movies/RoyalWedding.jpg', duration: 93, color: '#56ca85', }, { id: 3, text: 'A Star Is Born', director: 'William A. Wellman', year: 1937, image: '../../../../images/movies/AStartIsBorn.jpg', duration: 111, color: '#1e90ff', }, { id: 4, text: 'The Screaming Skull', director: 'Alex Nicol', year: 1958, image: '../../../../images/movies/ScreamingSkull.jpg', duration: 68, color: '#ff9747', }, { id: 5, text: "It's a Wonderful Life", director: 'Frank Capra', year: 1946, image: '../../../../images/movies/ItsAWonderfulLife.jpg', duration: 130, color: '#f05797', }, { id: 6, text: 'City Lights', director: 'Charlie Chaplin', year: 1931, image: '../../../../images/movies/CityLights.jpg', duration: 87, color: '#2a9010', }]; const theatreData = [{ text: 'Cinema Hall 1', id: 0, }, { text: 'Cinema Hall 2', id: 1, }, ]; const data = [{ theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-04-26T16:10:00.000Z'), endDate: new Date('2021-04-26T18:01:00.000Z'), }, { theatreId: 0, movieId: 1, price: 5, startDate: new Date('2021-04-26T18:30:00.000Z'), endDate: new Date('2021-04-26T20:02:00.000Z'), }, { theatreId: 0, movieId: 3, price: 15, startDate: new Date('2021-04-26T20:30:00.000Z'), endDate: new Date('2021-04-26T22:21:00.000Z'), }, { theatreId: 0, movieId: 4, price: 5, startDate: new Date('2021-04-26T23:00:00.000Z'), endDate: new Date('2021-04-27T00:08:00.000Z'), }, { theatreId: 0, movieId: 2, price: 10, startDate: new Date('2021-04-27T00:30:00.000Z'), endDate: new Date('2021-04-27T02:03:00.000Z'), }, { theatreId: 0, movieId: 1, price: 10, startDate: new Date('2021-04-27T02:30:00.000Z'), endDate: new Date('2021-04-27T04:02:00.000Z'), }, { theatreId: 0, movieId: 2, price: 10, startDate: new Date('2021-04-27T04:20:00.000Z'), endDate: new Date('2021-04-27T05:53:00.000Z'), }, { theatreId: 0, movieId: 5, price: 10, startDate: new Date('2021-04-27T16:10:00.000Z'), endDate: new Date('2021-04-27T18:20:00.000Z'), }, { theatreId: 0, movieId: 2, price: 5, startDate: new Date('2021-04-27T19:00:00.000Z'), endDate: new Date('2021-04-27T20:33:00.000Z'), }, { theatreId: 0, movieId: 3, price: 5, startDate: new Date('2021-04-27T21:00:00.000Z'), endDate: new Date('2021-04-27T22:51:00.000Z'), }, { theatreId: 0, movieId: 4, price: 5, startDate: new Date('2021-04-27T23:20:00.000Z'), endDate: new Date('2021-04-28T00:28:00.000Z'), }, { theatreId: 0, movieId: 1, price: 10, startDate: new Date('2021-04-28T01:00:00.000Z'), endDate: new Date('2021-04-28T02:32:00.000Z'), }, { theatreId: 0, movieId: 2, price: 15, startDate: new Date('2021-04-28T03:00:00.000Z'), endDate: new Date('2021-04-28T04:33:00.000Z'), }, { theatreId: 0, movieId: 4, price: 5, startDate: new Date('2021-04-28T04:50:00.000Z'), endDate: new Date('2021-04-28T05:58:00.000Z'), }, { theatreId: 0, movieId: 1, price: 5, startDate: new Date('2021-04-28T16:00:00.000Z'), endDate: new Date('2021-04-28T17:32:00.000Z'), }, { theatreId: 0, movieId: 2, price: 5, startDate: new Date('2021-04-28T18:00:00.000Z'), endDate: new Date('2021-04-28T19:33:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-04-28T20:20:00.000Z'), endDate: new Date('2021-04-28T22:11:00.000Z'), }, { theatreId: 0, movieId: 5, price: 15, startDate: new Date('2021-04-28T22:45:00.000Z'), endDate: new Date('2021-04-29T00:55:00.000Z'), }, { theatreId: 0, movieId: 4, price: 10, startDate: new Date('2021-04-29T01:20:00.000Z'), endDate: new Date('2021-04-29T02:28:00.000Z'), }, { theatreId: 0, movieId: 5, price: 20, startDate: new Date('2021-04-29T03:00:00.000Z'), endDate: new Date('2021-04-29T05:10:00.000Z'), }, { theatreId: 0, movieId: 1, price: 5, startDate: new Date('2021-04-29T16:00:00.000Z'), endDate: new Date('2021-04-29T17:32:00.000Z'), }, { theatreId: 0, movieId: 2, price: 5, startDate: new Date('2021-04-29T18:00:00.000Z'), endDate: new Date('2021-04-29T19:33:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-04-29T20:20:00.000Z'), endDate: new Date('2021-04-29T22:11:00.000Z'), }, { theatreId: 0, movieId: 5, price: 10, startDate: new Date('2021-04-29T22:45:00.000Z'), endDate: new Date('2021-04-30T00:55:00.000Z'), }, { theatreId: 0, movieId: 4, price: 5, startDate: new Date('2021-04-30T01:20:00.000Z'), endDate: new Date('2021-04-30T02:28:00.000Z'), }, { theatreId: 0, movieId: 5, price: 15, startDate: new Date('2021-04-30T03:00:00.000Z'), endDate: new Date('2021-04-30T05:10:00.000Z'), }, { theatreId: 0, movieId: 2, price: 5, startDate: new Date('2021-04-30T16:30:00.000Z'), endDate: new Date('2021-04-30T18:03:00.000Z'), }, { theatreId: 0, movieId: 1, price: 5, startDate: new Date('2021-04-30T18:30:00.000Z'), endDate: new Date('2021-04-30T20:02:00.000Z'), }, { theatreId: 0, movieId: 3, price: 5, startDate: new Date('2021-04-30T20:30:00.000Z'), endDate: new Date('2021-04-30T22:21:00.000Z'), }, { theatreId: 0, movieId: 5, price: 10, startDate: new Date('2021-04-30T23:00:00.000Z'), endDate: new Date('2021-05-01T01:10:00.000Z'), }, { theatreId: 0, movieId: 4, price: 5, startDate: new Date('2021-05-01T01:30:00.000Z'), endDate: new Date('2021-05-01T02:38:00.000Z'), }, { theatreId: 0, movieId: 3, price: 15, startDate: new Date('2021-05-01T03:20:00.000Z'), endDate: new Date('2021-05-01T05:11:00.000Z'), }, { theatreId: 0, movieId: 2, price: 5, startDate: new Date('2021-05-01T16:30:00.000Z'), endDate: new Date('2021-05-01T18:03:00.000Z'), }, { theatreId: 0, movieId: 1, price: 10, startDate: new Date('2021-05-01T18:30:00.000Z'), endDate: new Date('2021-05-01T20:02:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-05-01T20:30:00.000Z'), endDate: new Date('2021-05-01T22:21:00.000Z'), }, { theatreId: 0, movieId: 5, price: 10, startDate: new Date('2021-05-01T23:00:00.000Z'), endDate: new Date('2021-05-02T01:10:00.000Z'), }, { theatreId: 0, movieId: 4, price: 10, startDate: new Date('2021-05-02T01:30:00.000Z'), endDate: new Date('2021-05-02T02:38:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-05-02T03:20:00.000Z'), endDate: new Date('2021-05-02T05:11:00.000Z'), }, { theatreId: 0, movieId: 2, price: 5, startDate: new Date('2021-05-02T16:30:00.000Z'), endDate: new Date('2021-05-02T18:03:00.000Z'), }, { theatreId: 0, movieId: 1, price: 5, startDate: new Date('2021-05-02T18:30:00.000Z'), endDate: new Date('2021-05-02T20:02:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-05-02T20:30:00.000Z'), endDate: new Date('2021-05-02T22:21:00.000Z'), }, { theatreId: 0, movieId: 5, price: 15, startDate: new Date('2021-05-02T23:00:00.000Z'), endDate: new Date('2021-05-03T01:10:00.000Z'), }, { theatreId: 0, movieId: 4, price: 10, startDate: new Date('2021-05-03T01:30:00.000Z'), endDate: new Date('2021-05-03T02:38:00.000Z'), }, { theatreId: 0, movieId: 3, price: 15, startDate: new Date('2021-05-03T03:20:00.000Z'), endDate: new Date('2021-05-03T05:11:00.000Z'), }, { theatreId: 0, movieId: 2, price: 5, startDate: new Date('2021-05-03T16:30:00.000Z'), endDate: new Date('2021-05-03T18:03:00.000Z'), }, { theatreId: 0, movieId: 6, price: 15, startDate: new Date('2021-05-03T18:30:00.000Z'), endDate: new Date('2021-05-03T19:57:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-05-03T20:20:00.000Z'), endDate: new Date('2021-05-03T22:11:00.000Z'), }, { theatreId: 0, movieId: 1, price: 5, startDate: new Date('2021-05-03T23:00:00.000Z'), endDate: new Date('2021-05-04T00:32:00.000Z'), }, { theatreId: 0, movieId: 2, price: 10, startDate: new Date('2021-05-04T01:00:00.000Z'), endDate: new Date('2021-05-04T02:33:00.000Z'), }, { theatreId: 0, movieId: 6, price: 20, startDate: new Date('2021-05-04T03:00:00.000Z'), endDate: new Date('2021-05-04T04:27:00.000Z'), }, { theatreId: 0, movieId: 4, price: 15, startDate: new Date('2021-05-04T04:50:00.000Z'), endDate: new Date('2021-05-04T05:58:00.000Z'), }, { theatreId: 0, movieId: 1, price: 5, startDate: new Date('2021-05-05T02:00:00.000Z'), endDate: new Date('2021-05-04T17:32:00.000Z'), }, { theatreId: 0, movieId: 2, price: 5, startDate: new Date('2021-05-04T18:30:00.000Z'), endDate: new Date('2021-05-04T20:03:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-05-04T20:30:00.000Z'), endDate: new Date('2021-05-04T22:21:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-05-04T22:30:00.000Z'), endDate: new Date('2021-05-05T00:21:00.000Z'), }, { theatreId: 0, movieId: 6, price: 15, startDate: new Date('2021-05-05T00:30:00.000Z'), endDate: new Date('2021-05-05T01:57:00.000Z'), }, { theatreId: 0, movieId: 5, price: 15, startDate: new Date('2021-05-05T03:00:00.000Z'), endDate: new Date('2021-05-05T05:10:00.000Z'), }, { theatreId: 0, movieId: 1, price: 5, startDate: new Date('2021-05-06T02:00:00.000Z'), endDate: new Date('2021-05-05T17:32:00.000Z'), }, { theatreId: 0, movieId: 2, price: 5, startDate: new Date('2021-05-06T04:00:00.000Z'), endDate: new Date('2021-05-06T05:33:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-05-05T20:00:00.000Z'), endDate: new Date('2021-05-05T21:51:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-05-05T22:30:00.000Z'), endDate: new Date('2021-05-06T00:21:00.000Z'), }, { theatreId: 0, movieId: 6, price: 15, startDate: new Date('2021-05-06T00:30:00.000Z'), endDate: new Date('2021-05-06T01:57:00.000Z'), }, { theatreId: 0, movieId: 5, price: 15, startDate: new Date('2021-05-06T03:00:00.000Z'), endDate: new Date('2021-05-06T05:10:00.000Z'), }, { theatreId: 0, movieId: 1, price: 5, startDate: new Date('2021-05-06T16:00:00.000Z'), endDate: new Date('2021-05-06T17:32:00.000Z'), }, { theatreId: 0, movieId: 2, price: 5, startDate: new Date('2021-05-06T18:00:00.000Z'), endDate: new Date('2021-05-06T19:33:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-05-06T20:00:00.000Z'), endDate: new Date('2021-05-06T21:51:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-05-06T22:30:00.000Z'), endDate: new Date('2021-05-07T00:21:00.000Z'), }, { theatreId: 0, movieId: 6, price: 15, startDate: new Date('2021-05-07T00:30:00.000Z'), endDate: new Date('2021-05-07T01:57:00.000Z'), }, { theatreId: 0, movieId: 5, price: 15, startDate: new Date('2021-05-07T03:00:00.000Z'), endDate: new Date('2021-05-07T05:10:00.000Z'), }, { theatreId: 0, movieId: 2, price: 5, startDate: new Date('2021-05-07T16:00:00.000Z'), endDate: new Date('2021-05-07T17:33:00.000Z'), }, { theatreId: 0, movieId: 1, price: 5, startDate: new Date('2021-05-07T18:00:00.000Z'), endDate: new Date('2021-05-07T19:32:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-05-07T20:00:00.000Z'), endDate: new Date('2021-05-07T21:51:00.000Z'), }, { theatreId: 0, movieId: 5, price: 10, startDate: new Date('2021-05-07T22:30:00.000Z'), endDate: new Date('2021-05-08T00:40:00.000Z'), }, { theatreId: 0, movieId: 6, price: 15, startDate: new Date('2021-05-08T01:00:00.000Z'), endDate: new Date('2021-05-08T02:27:00.000Z'), }, { theatreId: 0, movieId: 1, price: 15, startDate: new Date('2021-05-08T03:00:00.000Z'), endDate: new Date('2021-05-08T04:32:00.000Z'), }, { theatreId: 0, movieId: 2, price: 5, startDate: new Date('2021-05-08T16:00:00.000Z'), endDate: new Date('2021-05-08T17:33:00.000Z'), }, { theatreId: 0, movieId: 1, price: 5, startDate: new Date('2021-05-08T18:00:00.000Z'), endDate: new Date('2021-05-08T19:32:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-05-08T20:00:00.000Z'), endDate: new Date('2021-05-08T21:51:00.000Z'), }, { theatreId: 0, movieId: 5, price: 10, startDate: new Date('2021-05-08T22:30:00.000Z'), endDate: new Date('2021-05-09T00:40:00.000Z'), }, { theatreId: 0, movieId: 6, price: 15, startDate: new Date('2021-05-09T01:00:00.000Z'), endDate: new Date('2021-05-09T02:27:00.000Z'), }, { theatreId: 0, movieId: 1, price: 15, startDate: new Date('2021-05-09T03:00:00.000Z'), endDate: new Date('2021-05-09T04:32:00.000Z'), }, { theatreId: 0, movieId: 2, price: 5, startDate: new Date('2021-05-09T16:00:00.000Z'), endDate: new Date('2021-05-09T17:33:00.000Z'), }, { theatreId: 0, movieId: 1, price: 5, startDate: new Date('2021-05-09T18:00:00.000Z'), endDate: new Date('2021-05-09T19:32:00.000Z'), }, { theatreId: 0, movieId: 3, price: 10, startDate: new Date('2021-05-09T20:00:00.000Z'), endDate: new Date('2021-05-09T21:51:00.000Z'), }, { theatreId: 0, movieId: 5, price: 10, startDate: new Date('2021-05-09T22:30:00.000Z'), endDate: new Date('2021-05-10T00:40:00.000Z'), }, { theatreId: 0, movieId: 6, price: 15, startDate: new Date('2021-05-10T01:00:00.000Z'), endDate: new Date('2021-05-10T02:27:00.000Z'), }, { theatreId: 0, movieId: 1, price: 15, startDate: new Date('2021-05-10T03:00:00.000Z'), endDate: new Date('2021-05-10T04:32:00.000Z'), }, { theatreId: 1, movieId: 3, price: 10, startDate: new Date('2021-04-27T02:30:00.000Z'), endDate: new Date('2021-04-26T18:21:00.000Z'), }, { theatreId: 1, movieId: 1, price: 5, startDate: new Date('2021-04-26T19:00:00.000Z'), endDate: new Date('2021-04-26T20:32:00.000Z'), }, { theatreId: 1, movieId: 3, price: 15, startDate: new Date('2021-04-26T21:00:00.000Z'), endDate: new Date('2021-04-26T22:51:00.000Z'), }, { theatreId: 1, movieId: 4, price: 5, startDate: new Date('2021-04-26T23:10:00.000Z'), endDate: new Date('2021-04-27T00:18:00.000Z'), }, { theatreId: 1, movieId: 2, price: 10, startDate: new Date('2021-04-27T00:30:00.000Z'), endDate: new Date('2021-04-27T02:03:00.000Z'), }, { theatreId: 1, movieId: 1, price: 10, startDate: new Date('2021-04-26T16:30:00.000Z'), endDate: new Date('2021-04-27T04:02:00.000Z'), }, { theatreId: 1, movieId: 2, price: 10, startDate: new Date('2021-04-27T04:20:00.000Z'), endDate: new Date('2021-04-27T05:53:00.000Z'), }, { theatreId: 1, movieId: 1, price: 5, startDate: new Date('2021-04-27T16:30:00.000Z'), endDate: new Date('2021-04-27T18:02:00.000Z'), }, { theatreId: 1, movieId: 2, price: 5, startDate: new Date('2021-04-27T18:30:00.000Z'), endDate: new Date('2021-04-27T20:03:00.000Z'), }, { theatreId: 1, movieId: 5, price: 15, startDate: new Date('2021-04-27T20:30:00.000Z'), endDate: new Date('2021-04-27T22:40:00.000Z'), }, { theatreId: 1, movieId: 4, price: 5, startDate: new Date('2021-04-27T23:00:00.000Z'), endDate: new Date('2021-04-28T00:08:00.000Z'), }, { theatreId: 1, movieId: 1, price: 10, startDate: new Date('2021-04-28T00:30:00.000Z'), endDate: new Date('2021-04-28T02:02:00.000Z'), }, { theatreId: 1, movieId: 2, price: 15, startDate: new Date('2021-04-28T02:40:00.000Z'), endDate: new Date('2021-04-28T04:13:00.000Z'), }, { theatreId: 1, movieId: 4, price: 5, startDate: new Date('2021-04-28T04:40:00.000Z'), endDate: new Date('2021-04-28T05:48:00.000Z'), }, { theatreId: 1, movieId: 1, price: 5, startDate: new Date('2021-04-28T16:30:00.000Z'), endDate: new Date('2021-04-28T18:02:00.000Z'), }, { theatreId: 1, movieId: 2, price: 5, startDate: new Date('2021-04-28T18:30:00.000Z'), endDate: new Date('2021-04-28T20:03:00.000Z'), }, { theatreId: 1, movieId: 5, price: 10, startDate: new Date('2021-04-28T20:30:00.000Z'), endDate: new Date('2021-04-28T22:41:00.000Z'), }, { theatreId: 1, movieId: 5, price: 15, startDate: new Date('2021-04-28T23:00:00.000Z'), endDate: new Date('2021-04-29T01:10:00.000Z'), }, { theatreId: 1, movieId: 4, price: 10, startDate: new Date('2021-04-29T01:30:00.000Z'), endDate: new Date('2021-04-29T02:38:00.000Z'), }, { theatreId: 1, movieId: 5, price: 20, startDate: new Date('2021-04-29T03:20:00.000Z'), endDate: new Date('2021-04-29T05:30:00.000Z'), }, { theatreId: 1, movieId: 1, price: 5, startDate: new Date('2021-04-29T16:30:00.000Z'), endDate: new Date('2021-04-29T18:02:00.000Z'), }, { theatreId: 1, movieId: 2, price: 5, startDate: new Date('2021-04-29T18:30:00.000Z'), endDate: new Date('2021-04-29T20:03:00.000Z'), }, { theatreId: 1, movieId: 5, price: 10, startDate: new Date('2021-04-29T20:30:00.000Z'), endDate: new Date('2021-04-29T22:41:00.000Z'), }, { theatreId: 1, movieId: 5, price: 10, startDate: new Date('2021-04-29T23:00:00.000Z'), endDate: new Date('2021-04-30T01:10:00.000Z'), }, { theatreId: 1, movieId: 4, price: 5, startDate: new Date('2021-04-30T01:30:00.000Z'), endDate: new Date('2021-04-30T02:38:00.000Z'), }, { theatreId: 1, movieId: 5, price: 15, startDate: new Date('2021-04-30T03:20:00.000Z'), endDate: new Date('2021-04-30T05:30:00.000Z'), }, { theatreId: 1, movieId: 2, price: 5, startDate: new Date('2021-04-30T16:10:00.000Z'), endDate: new Date('2021-04-30T17:43:00.000Z'), }, { theatreId: 1, movieId: 1, price: 5, startDate: new Date('2021-04-30T18:00:00.000Z'), endDate: new Date('2021-04-30T19:32:00.000Z'), }, { theatreId: 1, movieId: 3, price: 5, startDate: new Date('2021-04-30T20:10:00.000Z'), endDate: new Date('2021-04-30T22:01:00.000Z'), }, { theatreId: 1, movieId: 5, price: 10, startDate: new Date('2021-04-30T22:40:00.000Z'), endDate: new Date('2021-05-01T00:50:00.000Z'), }, { theatreId: 1, movieId: 4, price: 5, startDate: new Date('2021-05-01T01:20:00.000Z'), endDate: new Date('2021-05-01T02:28:00.000Z'), }, { theatreId: 1, movieId: 3, price: 15, startDate: new Date('2021-05-01T03:20:00.000Z'), endDate: new Date('2021-05-01T05:11:00.000Z'), }, { theatreId: 1, movieId: 2, price: 5, startDate: new Date('2021-05-01T17:00:00.000Z'), endDate: new Date('2021-05-01T18:33:00.000Z'), }, { theatreId: 1, movieId: 1, price: 10, startDate: new Date('2021-05-01T19:00:00.000Z'), endDate: new Date('2021-05-01T20:32:00.000Z'), }, { theatreId: 1, movieId: 3, price: 10, startDate: new Date('2021-05-01T21:00:00.000Z'), endDate: new Date('2021-05-01T22:51:00.000Z'), }, { theatreId: 1, movieId: 5, price: 10, startDate: new Date('2021-05-01T23:30:00.000Z'), endDate: new Date('2021-05-02T01:40:00.000Z'), }, { theatreId: 1, movieId: 4, price: 10, startDate: new Date('2021-05-02T02:00:00.000Z'), endDate: new Date('2021-05-02T03:08:00.000Z'), }, { theatreId: 1, movieId: 5, price: 20, startDate: new Date('2021-05-02T03:30:00.000Z'), endDate: new Date('2021-05-02T05:50:00.000Z'), }, { theatreId: 1, movieId: 2, price: 5, startDate: new Date('2021-05-02T17:00:00.000Z'), endDate: new Date('2021-05-02T18:33:00.000Z'), }, { theatreId: 1, movieId: 1, price: 5, startDate: new Date('2021-05-02T19:00:00.000Z'), endDate: new Date('2021-05-02T20:32:00.000Z'), }, { theatreId: 1, movieId: 3, price: 10, startDate: new Date('2021-05-02T21:00:00.000Z'), endDate: new Date('2021-05-02T22:51:00.000Z'), }, { theatreId: 1, movieId: 5, price: 15, startDate: new Date('2021-05-02T23:30:00.000Z'), endDate: new Date('2021-05-03T01:40:00.000Z'), }, { theatreId: 1, movieId: 4, price: 10, startDate: new Date('2021-05-03T02:00:00.000Z'), endDate: new Date('2021-05-03T03:08:00.000Z'), }, { theatreId: 1, movieId: 5, price: 15, startDate: new Date('2021-05-03T03:30:00.000Z'), endDate: new Date('2021-05-03T05:50:00.000Z'), }, { theatreId: 1, movieId: 2, price: 5, startDate: new Date('2021-05-03T17:00:00.000Z'), endDate: new Date('2021-05-03T18:33:00.000Z'), }, { theatreId: 1, movieId: 6, price: 15, startDate: new Date('2021-05-03T19:00:00.000Z'), endDate: new Date('2021-05-03T20:27:00.000Z'), }, { theatreId: 1, movieId: 3, price: 10, startDate: new Date('2021-05-03T21:00:00.000Z'), endDate: new Date('2021-05-03T22:51:00.000Z'), }, { theatreId: 1, movieId: 1, price: 10, startDate: new Date('2021-05-03T23:30:00.000Z'), endDate: new Date('2021-05-04T01:02:00.000Z'), }, { theatreId: 1, movieId: 5, price: 15, startDate: new Date('2021-05-04T01:30:00.000Z'), endDate: new Date('2021-05-04T03:40:00.000Z'), }, { theatreId: 1, movieId: 6, price: 20, startDate: new Date('2021-05-04T04:00:00.000Z'), endDate: new Date('2021-05-04T05:27:00.000Z'), }, { theatreId: 1, movieId: 1, price: 5, startDate: new Date('2021-05-04T16:30:00.000Z'), endDate: new Date('2021-05-04T18:02:00.000Z'), }, { theatreId: 1, movieId: 6, price: 5, startDate: new Date('2021-05-04T19:00:00.000Z'), endDate: new Date('2021-05-04T20:27:00.000Z'), }, { theatreId: 1, movieId: 3, price: 10, startDate: new Date('2021-05-04T21:00:00.000Z'), endDate: new Date('2021-05-04T22:51:00.000Z'), }, { theatreId: 1, movieId: 3, price: 10, startDate: new Date('2021-05-04T23:30:00.000Z'), endDate: new Date('2021-05-05T01:21:00.000Z'), }, { theatreId: 1, movieId: 6, price: 15, startDate: new Date('2021-05-04T16:00:00.000Z'), endDate: new Date('2021-05-05T03:27:00.000Z'), }, { theatreId: 1, movieId: 2, price: 15, startDate: new Date('2021-05-05T04:00:00.000Z'), endDate: new Date('2021-05-05T05:33:00.000Z'), }, { theatreId: 1, movieId: 1, price: 5, startDate: new Date('2021-05-05T17:00:00.000Z'), endDate: new Date('2021-05-05T18:32:00.000Z'), }, { theatreId: 1, movieId: 6, price: 5, startDate: new Date('2021-05-05T19:00:00.000Z'), endDate: new Date('2021-05-05T20:27:00.000Z'), }, { theatreId: 1, movieId: 3, price: 10, startDate: new Date('2021-05-05T21:00:00.000Z'), endDate: new Date('2021-05-05T22:51:00.000Z'), }, { theatreId: 1, movieId: 2, price: 10, startDate: new Date('2021-05-05T23:30:00.000Z'), endDate: new Date('2021-05-06T01:03:00.000Z'), }, { theatreId: 1, movieId: 6, price: 15, startDate: new Date('2021-05-05T16:00:00.000Z'), endDate: new Date('2021-05-06T03:27:00.000Z'), }, { theatreId: 1, movieId: 2, price: 15, startDate: new Date('2021-05-05T18:00:00.000Z'), endDate: new Date('2021-05-05T19:33:00.000Z'), }, { theatreId: 1, movieId: 1, price: 5, startDate: new Date('2021-05-06T16:30:00.000Z'), endDate: new Date('2021-05-06T18:02:00.000Z'), }, { theatreId: 1, movieId: 2, price: 5, startDate: new Date('2021-05-06T18:30:00.000Z'), endDate: new Date('2021-05-06T20:03:00.000Z'), }, { theatreId: 1, movieId: 6, price: 10, startDate: new Date('2021-05-06T21:00:00.000Z'), endDate: new Date('2021-05-06T22:27:00.000Z'), }, { theatreId: 1, movieId: 3, price: 10, startDate: new Date('2021-05-06T23:00:00.000Z'), endDate: new Date('2021-05-07T00:51:00.000Z'), }, { theatreId: 1, movieId: 6, price: 15, startDate: new Date('2021-05-07T01:10:00.000Z'), endDate: new Date('2021-05-07T02:37:00.000Z'), }, { theatreId: 1, movieId: 5, price: 20, startDate: new Date('2021-05-07T03:30:00.000Z'), endDate: new Date('2021-05-07T05:40:00.000Z'), }, { theatreId: 1, movieId: 2, price: 5, startDate: new Date('2021-05-07T16:30:00.000Z'), endDate: new Date('2021-05-07T18:02:00.000Z'), }, { theatreId: 1, movieId: 1, price: 5, startDate: new Date('2021-05-07T18:30:00.000Z'), endDate: new Date('2021-05-07T20:02:00.000Z'), }, { theatreId: 1, movieId: 6, price: 10, startDate: new Date('2021-05-07T21:00:00.000Z'), endDate: new Date('2021-05-07T22:27:00.000Z'), }, { theatreId: 1, movieId: 5, price: 10, startDate: new Date('2021-05-07T23:00:00.000Z'), endDate: new Date('2021-05-08T00:51:00.000Z'), }, { theatreId: 1, movieId: 6, price: 15, startDate: new Date('2021-05-08T01:10:00.000Z'), endDate: new Date('2021-05-08T02:37:00.000Z'), }, { theatreId: 1, movieId: 5, price: 15, startDate: new Date('2021-05-08T03:20:00.000Z'), endDate: new Date('2021-05-08T05:30:00.000Z'), }, { theatreId: 1, movieId: 2, price: 5, startDate: new Date('2021-05-08T16:30:00.000Z'), endDate: new Date('2021-05-08T18:02:00.000Z'), }, { theatreId: 1, movieId: 1, price: 5, startDate: new Date('2021-05-08T18:30:00.000Z'), endDate: new Date('2021-05-08T20:02:00.000Z'), }, { theatreId: 1, movieId: 3, price: 10, startDate: new Date('2021-05-08T20:30:00.000Z'), endDate: new Date('2021-05-08T22:21:00.000Z'), }, { theatreId: 1, movieId: 5, price: 10, startDate: new Date('2021-05-08T23:00:00.000Z'), endDate: new Date('2021-05-09T01:10:00.000Z'), }, { theatreId: 1, movieId: 6, price: 15, startDate: new Date('2021-05-09T01:30:00.000Z'), endDate: new Date('2021-05-09T02:57:00.000Z'), }, { theatreId: 1, movieId: 2, price: 15, startDate: new Date('2021-05-09T03:30:00.000Z'), endDate: new Date('2021-05-09T05:03:00.000Z'), }, { theatreId: 1, movieId: 2, price: 5, startDate: new Date('2021-05-09T16:30:00.000Z'), endDate: new Date('2021-05-09T18:03:00.000Z'), }, { theatreId: 1, movieId: 1, price: 5, startDate: new Date('2021-05-09T18:30:00.000Z'), endDate: new Date('2021-05-09T20:02:00.000Z'), }, { theatreId: 1, movieId: 3, price: 10, startDate: new Date('2021-05-09T20:30:00.000Z'), endDate: new Date('2021-05-09T22:21:00.000Z'), }, { theatreId: 1, movieId: 5, price: 10, startDate: new Date('2021-05-09T23:00:00.000Z'), endDate: new Date('2021-05-10T01:10:00.000Z'), }, { theatreId: 1, movieId: 6, price: 15, startDate: new Date('2021-05-10T01:30:00.000Z'), endDate: new Date('2021-05-10T02:57:00.000Z'), }, { theatreId: 1, movieId: 1, price: 15, startDate: new Date('2021-05-10T03:30:00.000Z'), endDate: new Date('2021-05-10T05:02:00.000Z'), }, ];

<template>
<div>
<DxScheduler
time-zone="America/Los_Angeles"
:data-source="dataSource"
:views="views"
:current-date="currentDate"
:height="600"
:groups="groups"
:first-day-of-week="0"
:start-day-hour="9"
:end-day-hour="23"
:show-all-day-panel="false"
:cross-scrolling-enabled="true"
:cell-duration="20"
:editing="editing"
:on-content-ready="onContentReady"
:on-appointment-form-opening="onAppointmentFormOpening"
appointment-template="AppointmentTemplateSlot"
appointment-tooltip-template="AppointmentTooltipTemplateSlot"
current-view="day"
>
<DxResource
:use-color-as-default="true"
:data-source="moviesData"
field-expr="movieId"
/>
<DxResource
:data-source="theatreData"
field-expr="theatreId"
/>
<template #AppointmentTemplateSlot="{ data }">
<AppointmentTemplate
:scheduler="scheduler"
:template-model="data"
/>
</template>
<template #AppointmentTooltipTemplateSlot="{ data }">
<AppointmentTooltipTemplate
:scheduler="scheduler"
:template-tooltip-model="data"
/>
</template>
</DxScheduler>
</div>
</template>
<script>
import DxScheduler, { DxResource } from 'devextreme-vue/scheduler';
import AppointmentTemplate from './AppointmentTemplate.vue';
import AppointmentTooltipTemplate from './AppointmentTooltipTemplate.vue';
import { data, moviesData, theatreData } from './data.js';
import Query from 'devextreme/data/query';
const getMovieById = function(resourceId) {
return Query(moviesData)
.filter('id', resourceId)
.toArray()[0];
};
export default {
components: {
DxScheduler,
DxResource,
AppointmentTemplate,
AppointmentTooltipTemplate
},
data() {
return {
views: ['day', 'week', 'timelineDay'],
groups: ['theatreId'],
scheduler: null,
currentDate: new Date(2021, 4, 25),
dataSource: data,
moviesData: moviesData,
theatreData: theatreData,
editing: { allowAdding: false }
};
},
methods: {
onContentReady(e) {
this.scheduler = e.component;
},
onAppointmentFormOpening(data) {
let form = data.form,
movieInfo = getMovieById(data.appointmentData.movieId) || {},
startDate = data.appointmentData.startDate;
form.option('items', [{
label: {
text: 'Movie'
},
editorType: 'dxSelectBox',
dataField: 'movieId',
editorOptions: {
items: moviesData,
displayExpr: 'text',
valueExpr: 'id',
onValueChanged: function(args) {
movieInfo = getMovieById(args.value);
form.getEditor('director')
.option('value', movieInfo.director);
form.getEditor('endDate')
.option('value', new Date (startDate.getTime() +
60 * 1000 * movieInfo.duration));
}
},
}, {
label: {
text: 'Director'
},
name: 'director',
editorType: 'dxTextBox',
editorOptions: {
value: movieInfo.director,
readOnly: true
}
}, {
dataField: 'startDate',
editorType: 'dxDateBox',
editorOptions: {
width: '100%',
type: 'datetime',
onValueChanged: function(args) {
startDate = args.value;
form.getEditor('endDate')
.option('value', new Date (startDate.getTime() +
60 * 1000 * movieInfo.duration));
}
}
}, {
name: 'endDate',
dataField: 'endDate',
editorType: 'dxDateBox',
editorOptions: {
width: '100%',
type: 'datetime',
readOnly: true
}
}, {
dataField: 'price',
editorType: 'dxRadioGroup',
editorOptions: {
dataSource: [5, 10, 15, 20],
itemTemplate: function(itemData) {
return '$'.concat(itemData);
}
}
}
]);
}
},
};
</script>
<template>
<div class="showtime-preview">
<div> {{ movieData.text }}</div>
<div>
Ticket Price: <strong>{{ '$' + templateModel.appointmentData.price }}</strong>
</div>
<div>
{{ Globalize.formatDate(templateModel.appointmentData.startDate, { time: "short" }) }} -
{{ Globalize.formatDate(templateModel.appointmentData.endDate, { time: "short" }) }}
</div>
</div>
</template>
<script>
import 'devextreme/localization/globalize/date';
import Globalize from 'globalize';
import DxButton from 'devextreme-vue/button';
import Query from 'devextreme/data/query';
import { moviesData } from './data.js';
const dayOfWeekNames = ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'];
const getMovieById = function(resourceId) {
return Query(moviesData)
.filter('id', resourceId)
.toArray()[0];
};
export default {
components: {
DxButton
},
props: {
scheduler: {
type: Object,
default: () => { }
},
templateModel: {
type: Object,
default: () => { }
}
},
data() {
return {
dayOfWeekNames: dayOfWeekNames,
Globalize: Globalize,
movieData: getMovieById(this.templateModel.appointmentData.movieId)
};
},
mounted() {
Globalize.locale('en');
},
};
</script>
<style scoped>
.dx-tooltip-wrapper .dx-overlay-content .dx-popup-content {
padding: 14px;
}
.showtime-preview > div:first-child {
font-size: 12px;
white-space: normal;
}
.showtime-preview > div:not(:first-child) {
font-size: 11px;
white-space: normal;
}
.movie-tooltip .movie-info {
display: inline-block;
margin-left: 10px;
vertical-align: top;
text-align: left;
}
.movie-tooltip img {
height: 80px;
margin-bottom: 10px;
}
.movie-tooltip .movie-title {
font-size: 1.5em;
line-height: 40px;
}
.long-title h3 {
font-family: 'Segoe UI Light', 'Helvetica Neue Light', 'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana;
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
</style>
<template>
<div class="movie-tooltip">
<img :src="movieData.image">
<div class="movie-info">
<div class="movie-title">
{{ movieData.text }} ({{ movieData.year }})
</div><div>
Director: {{ movieData.director }}
</div>
<div>
Duration: {{ movieData.duration }} minutes
</div>
</div>
</div>
</template>
<script>
import 'devextreme/localization/globalize/date';
import Globalize from 'globalize';
import Query from 'devextreme/data/query';
import { moviesData } from './data.js';
const dayOfWeekNames = ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'];
const getMovieById = function(resourceId) {
return Query(moviesData)
.filter('id', resourceId)
.toArray()[0];
};
export default {
props: {
scheduler: {
type: Object,
default: () => { }
},
templateTooltipModel: {
type: Object,
default: () => { }
}
},
data() {
return {
dayOfWeekNames: dayOfWeekNames,
Globalize: Globalize,
movieData: getMovieById(this.templateTooltipModel.appointmentData.movieId)
};
},
mounted() {
Globalize.locale('en');
},
};
</script>
<style scoped>
.appointment-content {
width: 360px;
margin-top: 3px;
}
.dx-popup-content .appointment-content {
margin-top: 7px;
height: 50px;
}
.appointment-badge {
text-align: center;
float: left;
margin-right: 12px;
color: white;
width: 28px;
height: 28px;
font-size: 20px;
line-height: 20px;
border-radius: 28px;
margin-top: 5px;
display: flex;
justify-content: center;
flex-direction: column;
}
.appointment-dates {
color: #959595;
font-size: 12px;
text-align: left;
float: left;
}
.appointment-text {
overflow: hidden;
text-overflow: ellipsis;
white-space: nowrap;
width: 270px;
font-size: 15px;
text-align: left;
float: left;
}
.delete-appointment {
position: relative;
border: none;
box-shadow: none;
top: -8px;
height: 50px;
}
.delete-appointment .dx-button-content {
width: 50px;
height: 50px;
padding-left: 4px;
}
.delete-appointment.dx-state-hover,
.dx-list-item.dx-state-hover .dx-button {
box-shadow: none;
background-color: inherit;
}
.delete-appointment .dx-icon-trash {
color: #337ab7 !important;
font-size: 23px !important;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://unpkg.com/jquery@3.5.1/dist/jquery.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/globalize/dist/globalize.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/globalize/dist/globalize/date.min.js"></script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="long-title"><h3>DXCinema Show Times</h3></div>
<div id="app">
</div>
</div>
</body>
</html>
.dx-tooltip-wrapper .dx-overlay-content .dx-popup-content {
padding: 14px;
}
.showtime-preview > div:first-child {
font-size: 12px;
white-space: normal;
}
.showtime-preview > div:not(:first-child) {
font-size: 11px;
white-space: normal;
}
.movie-tooltip .movie-info {
display: inline-block;
margin-left: 10px;
vertical-align: top;
text-align: left;
}
.movie-tooltip img {
height: 80px;
margin-bottom: 10px;
}
.movie-tooltip .movie-title {
font-size: 1.5em;
line-height: 40px;
}
.long-title h3 {
font-family: 'Segoe UI Light', 'Helvetica Neue Light', 'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana;
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
export const moviesData = [{
id: 1,
text: 'His Girl Friday',
director: 'Howard Hawks',
year: 1940,
image: '../../../../images/movies/HisGirlFriday.jpg',
duration: 92,
color: '#cb6bb2'
}, {
id: 2,
text: 'Royal Wedding',
director: 'Stanley Donen',
year: 1951,
image: '../../../../images/movies/RoyalWedding.jpg',
duration: 93,
color: '#56ca85'
}, {
id: 3,
text: 'A Star Is Born',
director: 'William A. Wellman',
year: 1937,
image: '../../../../images/movies/AStartIsBorn.jpg',
duration: 111,
color: '#1e90ff'
}, {
id: 4,
text: 'The Screaming Skull',
director: 'Alex Nicol',
year: 1958,
image: '../../../../images/movies/ScreamingSkull.jpg',
duration: 68,
color: '#ff9747'
}, {
id: 5,
text: 'It\'s a Wonderful Life',
director: 'Frank Capra',
year: 1946,
image: '../../../../images/movies/ItsAWonderfulLife.jpg',
duration: 130,
color: '#f05797'
}, {
id: 6,
text: 'City Lights',
director: 'Charlie Chaplin',
year: 1931,
image: '../../../../images/movies/CityLights.jpg',
duration: 87,
color: '#2a9010'
}];
export const theatreData = [{
text: 'Cinema Hall 1',
id: 0
}, {
text: 'Cinema Hall 2',
id: 1
}
];
export const data = [{
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-24T16:10:00.000Z'),
endDate: new Date('2021-05-24T18:01:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-24T18:30:00.000Z'),
endDate: new Date('2021-05-24T20:02:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 15,
startDate: new Date('2021-05-24T20:30:00.000Z'),
endDate: new Date('2021-05-24T22:21:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-05-24T23:00:00.000Z'),
endDate: new Date('2021-05-25T00:08:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 10,
startDate: new Date('2021-05-25T00:30:00.000Z'),
endDate: new Date('2021-05-25T02:03:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 10,
startDate: new Date('2021-05-25T02:30:00.000Z'),
endDate: new Date('2021-05-25T04:02:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 10,
startDate: new Date('2021-05-25T04:20:00.000Z'),
endDate: new Date('2021-05-25T05:53:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-05-25T16:10:00.000Z'),
endDate: new Date('2021-05-25T18:20:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-25T19:00:00.000Z'),
endDate: new Date('2021-05-25T20:33:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 5,
startDate: new Date('2021-05-25T21:00:00.000Z'),
endDate: new Date('2021-05-25T22:51:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-05-25T23:20:00.000Z'),
endDate: new Date('2021-05-26T00:28:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 10,
startDate: new Date('2021-05-26T01:00:00.000Z'),
endDate: new Date('2021-05-26T02:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 15,
startDate: new Date('2021-05-26T03:00:00.000Z'),
endDate: new Date('2021-05-26T04:33:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-05-26T04:50:00.000Z'),
endDate: new Date('2021-05-26T05:58:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-26T16:00:00.000Z'),
endDate: new Date('2021-05-26T17:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-26T18:00:00.000Z'),
endDate: new Date('2021-05-26T19:33:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-26T20:20:00.000Z'),
endDate: new Date('2021-05-26T22:11:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-05-26T22:45:00.000Z'),
endDate: new Date('2021-05-27T00:55:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 10,
startDate: new Date('2021-05-27T01:20:00.000Z'),
endDate: new Date('2021-05-27T02:28:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 20,
startDate: new Date('2021-05-27T03:00:00.000Z'),
endDate: new Date('2021-05-27T05:10:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-27T16:00:00.000Z'),
endDate: new Date('2021-05-27T17:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-27T18:00:00.000Z'),
endDate: new Date('2021-05-27T19:33:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-27T20:20:00.000Z'),
endDate: new Date('2021-05-27T22:11:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-05-27T22:45:00.000Z'),
endDate: new Date('2021-05-28T00:55:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-05-28T01:20:00.000Z'),
endDate: new Date('2021-05-28T02:28:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-05-28T03:00:00.000Z'),
endDate: new Date('2021-05-28T05:10:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-28T16:30:00.000Z'),
endDate: new Date('2021-05-28T18:03:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-28T18:30:00.000Z'),
endDate: new Date('2021-05-28T20:02:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 5,
startDate: new Date('2021-05-28T20:30:00.000Z'),
endDate: new Date('2021-05-28T22:21:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-05-28T23:00:00.000Z'),
endDate: new Date('2021-05-29T01:10:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-05-29T01:30:00.000Z'),
endDate: new Date('2021-05-29T02:38:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 15,
startDate: new Date('2021-05-29T03:20:00.000Z'),
endDate: new Date('2021-05-29T05:11:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-29T16:30:00.000Z'),
endDate: new Date('2021-05-29T18:03:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 10,
startDate: new Date('2021-05-29T18:30:00.000Z'),
endDate: new Date('2021-05-29T20:02:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-29T20:30:00.000Z'),
endDate: new Date('2021-05-29T22:21:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-05-29T23:00:00.000Z'),
endDate: new Date('2021-05-30T01:10:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 10,
startDate: new Date('2021-05-30T01:30:00.000Z'),
endDate: new Date('2021-05-30T02:38:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-30T03:20:00.000Z'),
endDate: new Date('2021-05-30T05:11:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-30T16:30:00.000Z'),
endDate: new Date('2021-05-30T18:03:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-30T18:30:00.000Z'),
endDate: new Date('2021-05-30T20:02:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-30T20:30:00.000Z'),
endDate: new Date('2021-05-30T22:21:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-05-30T23:00:00.000Z'),
endDate: new Date('2021-05-31T01:10:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 10,
startDate: new Date('2021-05-31T01:30:00.000Z'),
endDate: new Date('2021-05-31T02:38:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 15,
startDate: new Date('2021-05-31T03:20:00.000Z'),
endDate: new Date('2021-05-31T05:11:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-31T16:30:00.000Z'),
endDate: new Date('2021-05-31T18:03:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-05-31T18:30:00.000Z'),
endDate: new Date('2021-05-31T19:57:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-31T20:20:00.000Z'),
endDate: new Date('2021-05-31T22:11:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-31T23:00:00.000Z'),
endDate: new Date('2021-06-01T00:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 10,
startDate: new Date('2021-06-01T01:00:00.000Z'),
endDate: new Date('2021-06-01T02:33:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 20,
startDate: new Date('2021-06-01T03:00:00.000Z'),
endDate: new Date('2021-06-01T04:27:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 15,
startDate: new Date('2021-06-01T04:50:00.000Z'),
endDate: new Date('2021-06-01T05:58:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-06-02T02:00:00.000Z'),
endDate: new Date('2021-06-01T17:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-06-01T18:30:00.000Z'),
endDate: new Date('2021-06-01T20:03:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-01T20:30:00.000Z'),
endDate: new Date('2021-06-01T22:21:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-01T22:30:00.000Z'),
endDate: new Date('2021-06-02T00:21:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-06-02T00:30:00.000Z'),
endDate: new Date('2021-06-02T01:57:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-06-02T03:00:00.000Z'),
endDate: new Date('2021-06-02T05:10:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-06-03T02:00:00.000Z'),
endDate: new Date('2021-06-02T17:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-06-03T04:00:00.000Z'),
endDate: new Date('2021-06-03T05:33:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-02T20:00:00.000Z'),
endDate: new Date('2021-06-02T21:51:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-02T22:30:00.000Z'),
endDate: new Date('2021-06-03T00:21:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-06-03T00:30:00.000Z'),
endDate: new Date('2021-06-03T01:57:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-06-03T03:00:00.000Z'),
endDate: new Date('2021-06-03T05:10:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-06-03T16:00:00.000Z'),
endDate: new Date('2021-06-03T17:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-06-03T18:00:00.000Z'),
endDate: new Date('2021-06-03T19:33:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-03T20:00:00.000Z'),
endDate: new Date('2021-06-03T21:51:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-03T22:30:00.000Z'),
endDate: new Date('2021-06-04T00:21:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-06-04T00:30:00.000Z'),
endDate: new Date('2021-06-04T01:57:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-06-04T03:00:00.000Z'),
endDate: new Date('2021-06-04T05:10:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-06-04T16:00:00.000Z'),
endDate: new Date('2021-06-04T17:33:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-06-04T18:00:00.000Z'),
endDate: new Date('2021-06-04T19:32:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-04T20:00:00.000Z'),
endDate: new Date('2021-06-04T21:51:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-06-04T22:30:00.000Z'),
endDate: new Date('2021-06-05T00:40:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-06-05T01:00:00.000Z'),
endDate: new Date('2021-06-05T02:27:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 15,
startDate: new Date('2021-06-05T03:00:00.000Z'),
endDate: new Date('2021-06-05T04:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-06-05T16:00:00.000Z'),
endDate: new Date('2021-06-05T17:33:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-06-05T18:00:00.000Z'),
endDate: new Date('2021-06-05T19:32:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-05T20:00:00.000Z'),
endDate: new Date('2021-06-05T21:51:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-06-05T22:30:00.000Z'),
endDate: new Date('2021-06-06T00:40:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-06-06T01:00:00.000Z'),
endDate: new Date('2021-06-06T02:27:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 15,
startDate: new Date('2021-06-06T03:00:00.000Z'),
endDate: new Date('2021-06-06T04:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-06-06T16:00:00.000Z'),
endDate: new Date('2021-06-06T17:33:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-06-06T18:00:00.000Z'),
endDate: new Date('2021-06-06T19:32:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-06T20:00:00.000Z'),
endDate: new Date('2021-06-06T21:51:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-06-06T22:30:00.000Z'),
endDate: new Date('2021-06-07T00:40:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-06-07T01:00:00.000Z'),
endDate: new Date('2021-06-07T02:27:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 15,
startDate: new Date('2021-06-07T03:00:00.000Z'),
endDate: new Date('2021-06-07T04:32:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-25T02:30:00.000Z'),
endDate: new Date('2021-05-24T18:21:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-24T19:00:00.000Z'),
endDate: new Date('2021-05-24T20:32:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 15,
startDate: new Date('2021-05-24T21:00:00.000Z'),
endDate: new Date('2021-05-24T22:51:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-05-24T23:10:00.000Z'),
endDate: new Date('2021-05-25T00:18:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 10,
startDate: new Date('2021-05-25T00:30:00.000Z'),
endDate: new Date('2021-05-25T02:03:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 10,
startDate: new Date('2021-05-24T16:30:00.000Z'),
endDate: new Date('2021-05-25T04:02:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 10,
startDate: new Date('2021-05-25T04:20:00.000Z'),
endDate: new Date('2021-05-25T05:53:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-25T16:30:00.000Z'),
endDate: new Date('2021-05-25T18:02:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-25T18:30:00.000Z'),
endDate: new Date('2021-05-25T20:03:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-05-25T20:30:00.000Z'),
endDate: new Date('2021-05-25T22:40:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-05-25T23:00:00.000Z'),
endDate: new Date('2021-05-26T00:08:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 10,
startDate: new Date('2021-05-26T00:30:00.000Z'),
endDate: new Date('2021-05-26T02:02:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 15,
startDate: new Date('2021-05-26T02:40:00.000Z'),
endDate: new Date('2021-05-26T04:13:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-05-26T04:40:00.000Z'),
endDate: new Date('2021-05-26T05:48:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-26T16:30:00.000Z'),
endDate: new Date('2021-05-26T18:02:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-26T18:30:00.000Z'),
endDate: new Date('2021-05-26T20:03:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-05-26T20:30:00.000Z'),
endDate: new Date('2021-05-26T22:41:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-05-26T23:00:00.000Z'),
endDate: new Date('2021-05-27T01:10:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 10,
startDate: new Date('2021-05-27T01:30:00.000Z'),
endDate: new Date('2021-05-27T02:38:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 20,
startDate: new Date('2021-05-27T03:20:00.000Z'),
endDate: new Date('2021-05-27T05:30:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-27T16:30:00.000Z'),
endDate: new Date('2021-05-27T18:02:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-27T18:30:00.000Z'),
endDate: new Date('2021-05-27T20:03:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-05-27T20:30:00.000Z'),
endDate: new Date('2021-05-27T22:41:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-05-27T23:00:00.000Z'),
endDate: new Date('2021-05-28T01:10:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-05-28T01:30:00.000Z'),
endDate: new Date('2021-05-28T02:38:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-05-28T03:20:00.000Z'),
endDate: new Date('2021-05-28T05:30:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-28T16:10:00.000Z'),
endDate: new Date('2021-05-28T17:43:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-28T18:00:00.000Z'),
endDate: new Date('2021-05-28T19:32:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 5,
startDate: new Date('2021-05-28T20:10:00.000Z'),
endDate: new Date('2021-05-28T22:01:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-05-28T22:40:00.000Z'),
endDate: new Date('2021-05-29T00:50:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-05-29T01:20:00.000Z'),
endDate: new Date('2021-05-29T02:28:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 15,
startDate: new Date('2021-05-29T03:20:00.000Z'),
endDate: new Date('2021-05-29T05:11:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-29T17:00:00.000Z'),
endDate: new Date('2021-05-29T18:33:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 10,
startDate: new Date('2021-05-29T19:00:00.000Z'),
endDate: new Date('2021-05-29T20:32:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-29T21:00:00.000Z'),
endDate: new Date('2021-05-29T22:51:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-05-29T23:30:00.000Z'),
endDate: new Date('2021-05-30T01:40:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 10,
startDate: new Date('2021-05-30T02:00:00.000Z'),
endDate: new Date('2021-05-30T03:08:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 20,
startDate: new Date('2021-05-30T03:30:00.000Z'),
endDate: new Date('2021-05-30T05:50:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-30T17:00:00.000Z'),
endDate: new Date('2021-05-30T18:33:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-30T19:00:00.000Z'),
endDate: new Date('2021-05-30T20:32:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-30T21:00:00.000Z'),
endDate: new Date('2021-05-30T22:51:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-05-30T23:30:00.000Z'),
endDate: new Date('2021-05-31T01:40:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 10,
startDate: new Date('2021-05-31T02:00:00.000Z'),
endDate: new Date('2021-05-31T03:08:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-05-31T03:30:00.000Z'),
endDate: new Date('2021-05-31T05:50:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-31T17:00:00.000Z'),
endDate: new Date('2021-05-31T18:33:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-05-31T19:00:00.000Z'),
endDate: new Date('2021-05-31T20:27:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-31T21:00:00.000Z'),
endDate: new Date('2021-05-31T22:51:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 10,
startDate: new Date('2021-05-31T23:30:00.000Z'),
endDate: new Date('2021-06-01T01:02:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-06-01T01:30:00.000Z'),
endDate: new Date('2021-06-01T03:40:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 20,
startDate: new Date('2021-06-01T04:00:00.000Z'),
endDate: new Date('2021-06-01T05:27:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-06-01T16:30:00.000Z'),
endDate: new Date('2021-06-01T18:02:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 5,
startDate: new Date('2021-06-01T19:00:00.000Z'),
endDate: new Date('2021-06-01T20:27:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-06-01T21:00:00.000Z'),
endDate: new Date('2021-06-01T22:51:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-06-01T23:30:00.000Z'),
endDate: new Date('2021-06-02T01:21:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-06-01T16:00:00.000Z'),
endDate: new Date('2021-06-02T03:27:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 15,
startDate: new Date('2021-06-02T04:00:00.000Z'),
endDate: new Date('2021-06-02T05:33:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-06-02T17:00:00.000Z'),
endDate: new Date('2021-06-02T18:32:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 5,
startDate: new Date('2021-06-02T19:00:00.000Z'),
endDate: new Date('2021-06-02T20:27:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-06-02T21:00:00.000Z'),
endDate: new Date('2021-06-02T22:51:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 10,
startDate: new Date('2021-06-02T23:30:00.000Z'),
endDate: new Date('2021-06-03T01:03:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-06-02T16:00:00.000Z'),
endDate: new Date('2021-06-03T03:27:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 15,
startDate: new Date('2021-06-02T18:00:00.000Z'),
endDate: new Date('2021-06-02T19:33:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-06-03T16:30:00.000Z'),
endDate: new Date('2021-06-03T18:02:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-06-03T18:30:00.000Z'),
endDate: new Date('2021-06-03T20:03:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 10,
startDate: new Date('2021-06-03T21:00:00.000Z'),
endDate: new Date('2021-06-03T22:27:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-06-03T23:00:00.000Z'),
endDate: new Date('2021-06-04T00:51:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-06-04T01:10:00.000Z'),
endDate: new Date('2021-06-04T02:37:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 20,
startDate: new Date('2021-06-04T03:30:00.000Z'),
endDate: new Date('2021-06-04T05:40:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-06-04T16:30:00.000Z'),
endDate: new Date('2021-06-04T18:02:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-06-04T18:30:00.000Z'),
endDate: new Date('2021-06-04T20:02:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 10,
startDate: new Date('2021-06-04T21:00:00.000Z'),
endDate: new Date('2021-06-04T22:27:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-06-04T23:00:00.000Z'),
endDate: new Date('2021-06-05T00:51:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-06-05T01:10:00.000Z'),
endDate: new Date('2021-06-05T02:37:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-06-05T03:20:00.000Z'),
endDate: new Date('2021-06-05T05:30:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-06-05T16:30:00.000Z'),
endDate: new Date('2021-06-05T18:02:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-06-05T18:30:00.000Z'),
endDate: new Date('2021-06-05T20:02:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-06-05T20:30:00.000Z'),
endDate: new Date('2021-06-05T22:21:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-06-05T23:00:00.000Z'),
endDate: new Date('2021-06-06T01:10:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-06-06T01:30:00.000Z'),
endDate: new Date('2021-06-06T02:57:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 15,
startDate: new Date('2021-06-06T03:30:00.000Z'),
endDate: new Date('2021-06-06T05:03:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-06-06T16:30:00.000Z'),
endDate: new Date('2021-06-06T18:03:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-06-06T18:30:00.000Z'),
endDate: new Date('2021-06-06T20:02:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-06-06T20:30:00.000Z'),
endDate: new Date('2021-06-06T22:21:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-06-06T23:00:00.000Z'),
endDate: new Date('2021-06-07T01:10:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-06-07T01:30:00.000Z'),
endDate: new Date('2021-06-07T02:57:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 15,
startDate: new Date('2021-06-07T03:30:00.000Z'),
endDate: new Date('2021-06-07T05:02:00.000Z')
}
];
System.config({
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader'
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'globalize': 'npm:globalize@1.1.1/dist/globalize',
'json': 'npm:systemjs-plugin-json@0.3.0/json.js',
'cldr': 'npm:cldrjs@0.4.4/dist/cldr',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'devextreme-vue': 'npm:devextreme-vue@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'globalize': {
main: '../globalize.js',
defaultExtension: 'js'
},
'cldr': {
main: '../cldr.js',
defaultExtension: 'js'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});

<div class="long-title">
<h3>DXCinema Show Times</h3>
</div>
<dx-scheduler
timeZone="America/Los_Angeles"
id="scheduler"
[dataSource]="data"
[views]="['day', 'week', 'timelineDay']"
currentView="day"
[firstDayOfWeek]="0"
[startDayHour]="9"
[endDayHour]="23"
[showAllDayPanel]="false"
[groups]="['theatreId']"
[currentDate]="currentDate"
[crossScrollingEnabled]="true"
[cellDuration]="20"
[height]="600"
appointmentTemplate="appointment-template"
appointmentTooltipTemplate="tooltip-template"
(onAppointmentFormOpening)="onAppointmentFormOpening($event)"
>
<dxo-editing [allowAdding]="false"></dxo-editing>
<dxi-resource
fieldExpr="movieId"
[useColorAsDefault]="true"
[dataSource]="moviesData"
>
</dxi-resource>
<dxi-resource fieldExpr="theatreId" [dataSource]="theatreData">
</dxi-resource>
<div *dxTemplate="let model of 'appointment-template'">
<div class="showtime-preview">
<div>{{ getMovieById(model.targetedAppointmentData.movieId).text }}</div>
<div
>Ticket Price:
<strong>{{ "$" + model.targetedAppointmentData.price }}</strong>
</div>
<div class="dropdown-appointment-dates">
{{
(model.targetedAppointmentData.displayStartDate | date: "shortTime") +
" - " +
(model.targetedAppointmentData.displayEndDate | date: "shortTime")
}}
</div>
</div>
</div>
<div *dxTemplate="let model of 'tooltip-template'">
<div class="movie-tooltip">
<img [src]="getMovieById(model.appointmentData.movieId).image" />
<div class="movie-info">
<div class="movie-title">
{{
getMovieById(model.appointmentData.movieId).text +
" (" +
getMovieById(model.appointmentData.movieId).year +
")"
}}
</div>
<div>
{{
"Director: " + getMovieById(model.appointmentData.movieId).director
}}
</div>
<div>
{{
"Duration: " +
getMovieById(model.appointmentData.movieId).duration +
" minutes"
}}
</div>
</div>
</div>
</div>
</dx-scheduler>
import {
NgModule, Component, ViewChild, enableProdMode,
} from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxSchedulerModule, DxSchedulerComponent, DxTemplateModule } from 'devextreme-angular';
import Query from 'devextreme/data/query';
import {
Service, MovieData, TheatreData, Data,
} from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service],
})
export class AppComponent {
@ViewChild(DxSchedulerComponent, { static: false }) scheduler: DxSchedulerComponent;
data: Data[];
currentDate: Date = new Date(2021, 3, 27);
moviesData: MovieData[];
theatreData: TheatreData[];
constructor(service: Service) {
this.data = service.getData();
this.moviesData = service.getMoviesData();
this.theatreData = service.getTheatreData();
}
onAppointmentFormOpening(data) {
const that = this;
const form = data.form;
let movieInfo = that.getMovieById(data.appointmentData.movieId) || {};
let startDate = data.appointmentData.startDate;
form.option('items', [{
label: {
text: 'Movie',
},
editorType: 'dxSelectBox',
dataField: 'movieId',
editorOptions: {
items: that.moviesData,
displayExpr: 'text',
valueExpr: 'id',
onValueChanged(args) {
movieInfo = that.getMovieById(args.value);
form.updateData('director', movieInfo.director);
form.updateData('endDate', new Date(startDate.getTime() + 60 * 1000 * movieInfo.duration));
},
},
}, {
label: {
text: 'Director',
},
name: 'director',
editorType: 'dxTextBox',
editorOptions: {
value: movieInfo.director,
readOnly: true,
},
}, {
dataField: 'startDate',
editorType: 'dxDateBox',
editorOptions: {
width: '100%',
type: 'datetime',
onValueChanged(args) {
startDate = args.value;
form.updateData('endDate', new Date(startDate.getTime() + 60 * 1000 * movieInfo.duration));
},
},
}, {
name: 'endDate',
dataField: 'endDate',
editorType: 'dxDateBox',
editorOptions: {
width: '100%',
type: 'datetime',
readOnly: true,
},
}, {
dataField: 'price',
editorType: 'dxRadioGroup',
editorOptions: {
dataSource: [5, 10, 15, 20],
itemTemplate(itemData) {
return `$${itemData}`;
},
},
}]);
}
getDataObj(objData) {
for (let i = 0; i < this.data.length; i++) {
if (this.data[i].startDate.getTime() === objData.startDate.getTime() && this.data[i].theatreId === objData.theatreId) { return this.data[i]; }
}
return null;
}
getMovieById(id) {
return Query(this.moviesData).filter(['id', '=', id]).toArray()[0];
}
}
@NgModule({
imports: [
BrowserModule,
DxSchedulerModule,
DxTemplateModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .dx-tooltip-wrapper .dx-overlay-content .dx-popup-content {
padding: 14px;
}
::ng-deep .showtime-preview > div:first-child {
font-size: 12px;
white-space: normal;
}
::ng-deep .showtime-preview > div:not(:first-child) {
font-size: 11px;
white-space: normal;
}
::ng-deep .movie-tooltip .movie-info {
display: inline-block;
margin-left: 10px;
vertical-align: top;
text-align: left;
}
::ng-deep .movie-tooltip img {
height: 80px;
margin-bottom: 10px;
}
::ng-deep .movie-tooltip .movie-title {
font-size: 1.5em;
line-height: 40px;
}
::ng-deep .long-title h3 {
font-family: 'Segoe UI Light', 'Helvetica Neue Light', 'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana;
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
import { Injectable } from '@angular/core';
export class MovieData {
id: number;
text: string;
director: string;
year: number;
image: string;
duration: number;
color: string;
}
export class TheatreData {
text: string;
id: number;
}
export class Data {
theatreId: number;
movieId: number;
price: number;
startDate: Date;
endDate: Date;
}
const moviesData: MovieData[] = [{
id: 1,
text: 'His Girl Friday',
director: 'Howard Hawks',
year: 1940,
image: '../../../../images/movies/HisGirlFriday.jpg',
duration: 92,
color: '#cb6bb2',
}, {
id: 2,
text: 'Royal Wedding',
director: 'Stanley Donen',
year: 1951,
image: '../../../../images/movies/RoyalWedding.jpg',
duration: 93,
color: '#56ca85',
}, {
id: 3,
text: 'A Star Is Born',
director: 'William A. Wellman',
year: 1937,
image: '../../../../images/movies/AStartIsBorn.jpg',
duration: 111,
color: '#1e90ff',
}, {
id: 4,
text: 'The Screaming Skull',
director: 'Alex Nicol',
year: 1958,
image: '../../../../images/movies/ScreamingSkull.jpg',
duration: 68,
color: '#ff9747',
}, {
id: 5,
text: "It's a Wonderful Life",
director: 'Frank Capra',
year: 1946,
image: '../../../../images/movies/ItsAWonderfulLife.jpg',
duration: 130,
color: '#f05797',
}, {
id: 6,
text: 'City Lights',
director: 'Charlie Chaplin',
year: 1931,
image: '../../../../images/movies/CityLights.jpg',
duration: 87,
color: '#2a9010',
}];
const theatreData: TheatreData[] = [{
text: 'Cinema Hall 1',
id: 0,
}, {
text: 'Cinema Hall 2',
id: 1,
},
];
const data: Data[] = [{
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-04-26T16:10:00.000Z'),
endDate: new Date('2021-04-26T18:01:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-04-26T18:30:00.000Z'),
endDate: new Date('2021-04-26T20:02:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 15,
startDate: new Date('2021-04-26T20:30:00.000Z'),
endDate: new Date('2021-04-26T22:21:00.000Z'),
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-04-26T23:00:00.000Z'),
endDate: new Date('2021-04-27T00:08:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 10,
startDate: new Date('2021-04-27T00:30:00.000Z'),
endDate: new Date('2021-04-27T02:03:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 10,
startDate: new Date('2021-04-27T02:30:00.000Z'),
endDate: new Date('2021-04-27T04:02:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 10,
startDate: new Date('2021-04-27T04:20:00.000Z'),
endDate: new Date('2021-04-27T05:53:00.000Z'),
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-04-27T16:10:00.000Z'),
endDate: new Date('2021-04-27T18:20:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-04-27T19:00:00.000Z'),
endDate: new Date('2021-04-27T20:33:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 5,
startDate: new Date('2021-04-27T21:00:00.000Z'),
endDate: new Date('2021-04-27T22:51:00.000Z'),
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-04-27T23:20:00.000Z'),
endDate: new Date('2021-04-28T00:28:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 10,
startDate: new Date('2021-04-28T01:00:00.000Z'),
endDate: new Date('2021-04-28T02:32:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 15,
startDate: new Date('2021-04-28T03:00:00.000Z'),
endDate: new Date('2021-04-28T04:33:00.000Z'),
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-04-28T04:50:00.000Z'),
endDate: new Date('2021-04-28T05:58:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-04-28T16:00:00.000Z'),
endDate: new Date('2021-04-28T17:32:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-04-28T18:00:00.000Z'),
endDate: new Date('2021-04-28T19:33:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-04-28T20:20:00.000Z'),
endDate: new Date('2021-04-28T22:11:00.000Z'),
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-04-28T22:45:00.000Z'),
endDate: new Date('2021-04-29T00:55:00.000Z'),
}, {
theatreId: 0,
movieId: 4,
price: 10,
startDate: new Date('2021-04-29T01:20:00.000Z'),
endDate: new Date('2021-04-29T02:28:00.000Z'),
}, {
theatreId: 0,
movieId: 5,
price: 20,
startDate: new Date('2021-04-29T03:00:00.000Z'),
endDate: new Date('2021-04-29T05:10:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-04-29T16:00:00.000Z'),
endDate: new Date('2021-04-29T17:32:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-04-29T18:00:00.000Z'),
endDate: new Date('2021-04-29T19:33:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-04-29T20:20:00.000Z'),
endDate: new Date('2021-04-29T22:11:00.000Z'),
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-04-29T22:45:00.000Z'),
endDate: new Date('2021-04-30T00:55:00.000Z'),
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-04-30T01:20:00.000Z'),
endDate: new Date('2021-04-30T02:28:00.000Z'),
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-04-30T03:00:00.000Z'),
endDate: new Date('2021-04-30T05:10:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-04-30T16:30:00.000Z'),
endDate: new Date('2021-04-30T18:03:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-04-30T18:30:00.000Z'),
endDate: new Date('2021-04-30T20:02:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 5,
startDate: new Date('2021-04-30T20:30:00.000Z'),
endDate: new Date('2021-04-30T22:21:00.000Z'),
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-04-30T23:00:00.000Z'),
endDate: new Date('2021-05-01T01:10:00.000Z'),
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-05-01T01:30:00.000Z'),
endDate: new Date('2021-05-01T02:38:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 15,
startDate: new Date('2021-05-01T03:20:00.000Z'),
endDate: new Date('2021-05-01T05:11:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-01T16:30:00.000Z'),
endDate: new Date('2021-05-01T18:03:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 10,
startDate: new Date('2021-05-01T18:30:00.000Z'),
endDate: new Date('2021-05-01T20:02:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-01T20:30:00.000Z'),
endDate: new Date('2021-05-01T22:21:00.000Z'),
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-05-01T23:00:00.000Z'),
endDate: new Date('2021-05-02T01:10:00.000Z'),
}, {
theatreId: 0,
movieId: 4,
price: 10,
startDate: new Date('2021-05-02T01:30:00.000Z'),
endDate: new Date('2021-05-02T02:38:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-02T03:20:00.000Z'),
endDate: new Date('2021-05-02T05:11:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-02T16:30:00.000Z'),
endDate: new Date('2021-05-02T18:03:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-02T18:30:00.000Z'),
endDate: new Date('2021-05-02T20:02:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-02T20:30:00.000Z'),
endDate: new Date('2021-05-02T22:21:00.000Z'),
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-05-02T23:00:00.000Z'),
endDate: new Date('2021-05-03T01:10:00.000Z'),
}, {
theatreId: 0,
movieId: 4,
price: 10,
startDate: new Date('2021-05-03T01:30:00.000Z'),
endDate: new Date('2021-05-03T02:38:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 15,
startDate: new Date('2021-05-03T03:20:00.000Z'),
endDate: new Date('2021-05-03T05:11:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-03T16:30:00.000Z'),
endDate: new Date('2021-05-03T18:03:00.000Z'),
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-05-03T18:30:00.000Z'),
endDate: new Date('2021-05-03T19:57:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-03T20:20:00.000Z'),
endDate: new Date('2021-05-03T22:11:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-03T23:00:00.000Z'),
endDate: new Date('2021-05-04T00:32:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 10,
startDate: new Date('2021-05-04T01:00:00.000Z'),
endDate: new Date('2021-05-04T02:33:00.000Z'),
}, {
theatreId: 0,
movieId: 6,
price: 20,
startDate: new Date('2021-05-04T03:00:00.000Z'),
endDate: new Date('2021-05-04T04:27:00.000Z'),
}, {
theatreId: 0,
movieId: 4,
price: 15,
startDate: new Date('2021-05-04T04:50:00.000Z'),
endDate: new Date('2021-05-04T05:58:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-05T02:00:00.000Z'),
endDate: new Date('2021-05-04T17:32:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-04T18:30:00.000Z'),
endDate: new Date('2021-05-04T20:03:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-04T20:30:00.000Z'),
endDate: new Date('2021-05-04T22:21:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-04T22:30:00.000Z'),
endDate: new Date('2021-05-05T00:21:00.000Z'),
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-05-05T00:30:00.000Z'),
endDate: new Date('2021-05-05T01:57:00.000Z'),
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-05-05T03:00:00.000Z'),
endDate: new Date('2021-05-05T05:10:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-06T02:00:00.000Z'),
endDate: new Date('2021-05-05T17:32:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-06T04:00:00.000Z'),
endDate: new Date('2021-05-06T05:33:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-05T20:00:00.000Z'),
endDate: new Date('2021-05-05T21:51:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-05T22:30:00.000Z'),
endDate: new Date('2021-05-06T00:21:00.000Z'),
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-05-06T00:30:00.000Z'),
endDate: new Date('2021-05-06T01:57:00.000Z'),
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-05-06T03:00:00.000Z'),
endDate: new Date('2021-05-06T05:10:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-06T16:00:00.000Z'),
endDate: new Date('2021-05-06T17:32:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-06T18:00:00.000Z'),
endDate: new Date('2021-05-06T19:33:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-06T20:00:00.000Z'),
endDate: new Date('2021-05-06T21:51:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-06T22:30:00.000Z'),
endDate: new Date('2021-05-07T00:21:00.000Z'),
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-05-07T00:30:00.000Z'),
endDate: new Date('2021-05-07T01:57:00.000Z'),
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-05-07T03:00:00.000Z'),
endDate: new Date('2021-05-07T05:10:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-07T16:00:00.000Z'),
endDate: new Date('2021-05-07T17:33:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-07T18:00:00.000Z'),
endDate: new Date('2021-05-07T19:32:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-07T20:00:00.000Z'),
endDate: new Date('2021-05-07T21:51:00.000Z'),
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-05-07T22:30:00.000Z'),
endDate: new Date('2021-05-08T00:40:00.000Z'),
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-05-08T01:00:00.000Z'),
endDate: new Date('2021-05-08T02:27:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 15,
startDate: new Date('2021-05-08T03:00:00.000Z'),
endDate: new Date('2021-05-08T04:32:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-08T16:00:00.000Z'),
endDate: new Date('2021-05-08T17:33:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-08T18:00:00.000Z'),
endDate: new Date('2021-05-08T19:32:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-08T20:00:00.000Z'),
endDate: new Date('2021-05-08T21:51:00.000Z'),
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-05-08T22:30:00.000Z'),
endDate: new Date('2021-05-09T00:40:00.000Z'),
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-05-09T01:00:00.000Z'),
endDate: new Date('2021-05-09T02:27:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 15,
startDate: new Date('2021-05-09T03:00:00.000Z'),
endDate: new Date('2021-05-09T04:32:00.000Z'),
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-09T16:00:00.000Z'),
endDate: new Date('2021-05-09T17:33:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-09T18:00:00.000Z'),
endDate: new Date('2021-05-09T19:32:00.000Z'),
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-09T20:00:00.000Z'),
endDate: new Date('2021-05-09T21:51:00.000Z'),
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-05-09T22:30:00.000Z'),
endDate: new Date('2021-05-10T00:40:00.000Z'),
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-05-10T01:00:00.000Z'),
endDate: new Date('2021-05-10T02:27:00.000Z'),
}, {
theatreId: 0,
movieId: 1,
price: 15,
startDate: new Date('2021-05-10T03:00:00.000Z'),
endDate: new Date('2021-05-10T04:32:00.000Z'),
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-04-27T02:30:00.000Z'),
endDate: new Date('2021-04-26T18:21:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-04-26T19:00:00.000Z'),
endDate: new Date('2021-04-26T20:32:00.000Z'),
}, {
theatreId: 1,
movieId: 3,
price: 15,
startDate: new Date('2021-04-26T21:00:00.000Z'),
endDate: new Date('2021-04-26T22:51:00.000Z'),
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-04-26T23:10:00.000Z'),
endDate: new Date('2021-04-27T00:18:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 10,
startDate: new Date('2021-04-27T00:30:00.000Z'),
endDate: new Date('2021-04-27T02:03:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 10,
startDate: new Date('2021-04-26T16:30:00.000Z'),
endDate: new Date('2021-04-27T04:02:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 10,
startDate: new Date('2021-04-27T04:20:00.000Z'),
endDate: new Date('2021-04-27T05:53:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-04-27T16:30:00.000Z'),
endDate: new Date('2021-04-27T18:02:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-04-27T18:30:00.000Z'),
endDate: new Date('2021-04-27T20:03:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-04-27T20:30:00.000Z'),
endDate: new Date('2021-04-27T22:40:00.000Z'),
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-04-27T23:00:00.000Z'),
endDate: new Date('2021-04-28T00:08:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 10,
startDate: new Date('2021-04-28T00:30:00.000Z'),
endDate: new Date('2021-04-28T02:02:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 15,
startDate: new Date('2021-04-28T02:40:00.000Z'),
endDate: new Date('2021-04-28T04:13:00.000Z'),
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-04-28T04:40:00.000Z'),
endDate: new Date('2021-04-28T05:48:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-04-28T16:30:00.000Z'),
endDate: new Date('2021-04-28T18:02:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-04-28T18:30:00.000Z'),
endDate: new Date('2021-04-28T20:03:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-04-28T20:30:00.000Z'),
endDate: new Date('2021-04-28T22:41:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-04-28T23:00:00.000Z'),
endDate: new Date('2021-04-29T01:10:00.000Z'),
}, {
theatreId: 1,
movieId: 4,
price: 10,
startDate: new Date('2021-04-29T01:30:00.000Z'),
endDate: new Date('2021-04-29T02:38:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 20,
startDate: new Date('2021-04-29T03:20:00.000Z'),
endDate: new Date('2021-04-29T05:30:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-04-29T16:30:00.000Z'),
endDate: new Date('2021-04-29T18:02:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-04-29T18:30:00.000Z'),
endDate: new Date('2021-04-29T20:03:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-04-29T20:30:00.000Z'),
endDate: new Date('2021-04-29T22:41:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-04-29T23:00:00.000Z'),
endDate: new Date('2021-04-30T01:10:00.000Z'),
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-04-30T01:30:00.000Z'),
endDate: new Date('2021-04-30T02:38:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-04-30T03:20:00.000Z'),
endDate: new Date('2021-04-30T05:30:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-04-30T16:10:00.000Z'),
endDate: new Date('2021-04-30T17:43:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-04-30T18:00:00.000Z'),
endDate: new Date('2021-04-30T19:32:00.000Z'),
}, {
theatreId: 1,
movieId: 3,
price: 5,
startDate: new Date('2021-04-30T20:10:00.000Z'),
endDate: new Date('2021-04-30T22:01:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-04-30T22:40:00.000Z'),
endDate: new Date('2021-05-01T00:50:00.000Z'),
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-05-01T01:20:00.000Z'),
endDate: new Date('2021-05-01T02:28:00.000Z'),
}, {
theatreId: 1,
movieId: 3,
price: 15,
startDate: new Date('2021-05-01T03:20:00.000Z'),
endDate: new Date('2021-05-01T05:11:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-01T17:00:00.000Z'),
endDate: new Date('2021-05-01T18:33:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 10,
startDate: new Date('2021-05-01T19:00:00.000Z'),
endDate: new Date('2021-05-01T20:32:00.000Z'),
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-01T21:00:00.000Z'),
endDate: new Date('2021-05-01T22:51:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-05-01T23:30:00.000Z'),
endDate: new Date('2021-05-02T01:40:00.000Z'),
}, {
theatreId: 1,
movieId: 4,
price: 10,
startDate: new Date('2021-05-02T02:00:00.000Z'),
endDate: new Date('2021-05-02T03:08:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 20,
startDate: new Date('2021-05-02T03:30:00.000Z'),
endDate: new Date('2021-05-02T05:50:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-02T17:00:00.000Z'),
endDate: new Date('2021-05-02T18:33:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-02T19:00:00.000Z'),
endDate: new Date('2021-05-02T20:32:00.000Z'),
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-02T21:00:00.000Z'),
endDate: new Date('2021-05-02T22:51:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-05-02T23:30:00.000Z'),
endDate: new Date('2021-05-03T01:40:00.000Z'),
}, {
theatreId: 1,
movieId: 4,
price: 10,
startDate: new Date('2021-05-03T02:00:00.000Z'),
endDate: new Date('2021-05-03T03:08:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-05-03T03:30:00.000Z'),
endDate: new Date('2021-05-03T05:50:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-03T17:00:00.000Z'),
endDate: new Date('2021-05-03T18:33:00.000Z'),
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-05-03T19:00:00.000Z'),
endDate: new Date('2021-05-03T20:27:00.000Z'),
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-03T21:00:00.000Z'),
endDate: new Date('2021-05-03T22:51:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 10,
startDate: new Date('2021-05-03T23:30:00.000Z'),
endDate: new Date('2021-05-04T01:02:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-05-04T01:30:00.000Z'),
endDate: new Date('2021-05-04T03:40:00.000Z'),
}, {
theatreId: 1,
movieId: 6,
price: 20,
startDate: new Date('2021-05-04T04:00:00.000Z'),
endDate: new Date('2021-05-04T05:27:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-04T16:30:00.000Z'),
endDate: new Date('2021-05-04T18:02:00.000Z'),
}, {
theatreId: 1,
movieId: 6,
price: 5,
startDate: new Date('2021-05-04T19:00:00.000Z'),
endDate: new Date('2021-05-04T20:27:00.000Z'),
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-04T21:00:00.000Z'),
endDate: new Date('2021-05-04T22:51:00.000Z'),
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-04T23:30:00.000Z'),
endDate: new Date('2021-05-05T01:21:00.000Z'),
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-05-04T16:00:00.000Z'),
endDate: new Date('2021-05-05T03:27:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 15,
startDate: new Date('2021-05-05T04:00:00.000Z'),
endDate: new Date('2021-05-05T05:33:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-05T17:00:00.000Z'),
endDate: new Date('2021-05-05T18:32:00.000Z'),
}, {
theatreId: 1,
movieId: 6,
price: 5,
startDate: new Date('2021-05-05T19:00:00.000Z'),
endDate: new Date('2021-05-05T20:27:00.000Z'),
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-05T21:00:00.000Z'),
endDate: new Date('2021-05-05T22:51:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 10,
startDate: new Date('2021-05-05T23:30:00.000Z'),
endDate: new Date('2021-05-06T01:03:00.000Z'),
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-05-05T16:00:00.000Z'),
endDate: new Date('2021-05-06T03:27:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 15,
startDate: new Date('2021-05-05T18:00:00.000Z'),
endDate: new Date('2021-05-05T19:33:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-06T16:30:00.000Z'),
endDate: new Date('2021-05-06T18:02:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-06T18:30:00.000Z'),
endDate: new Date('2021-05-06T20:03:00.000Z'),
}, {
theatreId: 1,
movieId: 6,
price: 10,
startDate: new Date('2021-05-06T21:00:00.000Z'),
endDate: new Date('2021-05-06T22:27:00.000Z'),
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-06T23:00:00.000Z'),
endDate: new Date('2021-05-07T00:51:00.000Z'),
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-05-07T01:10:00.000Z'),
endDate: new Date('2021-05-07T02:37:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 20,
startDate: new Date('2021-05-07T03:30:00.000Z'),
endDate: new Date('2021-05-07T05:40:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-07T16:30:00.000Z'),
endDate: new Date('2021-05-07T18:02:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-07T18:30:00.000Z'),
endDate: new Date('2021-05-07T20:02:00.000Z'),
}, {
theatreId: 1,
movieId: 6,
price: 10,
startDate: new Date('2021-05-07T21:00:00.000Z'),
endDate: new Date('2021-05-07T22:27:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-05-07T23:00:00.000Z'),
endDate: new Date('2021-05-08T00:51:00.000Z'),
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-05-08T01:10:00.000Z'),
endDate: new Date('2021-05-08T02:37:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-05-08T03:20:00.000Z'),
endDate: new Date('2021-05-08T05:30:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-08T16:30:00.000Z'),
endDate: new Date('2021-05-08T18:02:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-08T18:30:00.000Z'),
endDate: new Date('2021-05-08T20:02:00.000Z'),
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-08T20:30:00.000Z'),
endDate: new Date('2021-05-08T22:21:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-05-08T23:00:00.000Z'),
endDate: new Date('2021-05-09T01:10:00.000Z'),
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-05-09T01:30:00.000Z'),
endDate: new Date('2021-05-09T02:57:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 15,
startDate: new Date('2021-05-09T03:30:00.000Z'),
endDate: new Date('2021-05-09T05:03:00.000Z'),
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-09T16:30:00.000Z'),
endDate: new Date('2021-05-09T18:03:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-09T18:30:00.000Z'),
endDate: new Date('2021-05-09T20:02:00.000Z'),
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-09T20:30:00.000Z'),
endDate: new Date('2021-05-09T22:21:00.000Z'),
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-05-09T23:00:00.000Z'),
endDate: new Date('2021-05-10T01:10:00.000Z'),
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-05-10T01:30:00.000Z'),
endDate: new Date('2021-05-10T02:57:00.000Z'),
}, {
theatreId: 1,
movieId: 1,
price: 15,
startDate: new Date('2021-05-10T03:30:00.000Z'),
endDate: new Date('2021-05-10T05:02:00.000Z'),
},
];
@Injectable()
export class Service {
getTheatreData() {
return theatreData;
}
getMoviesData() {
return moviesData;
}
getData() {
return data;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.4/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.1.4/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.63',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.32',
'devextreme-angular': 'npm:devextreme-angular@22.1.4',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.1.4/*/package.json',
'npm:devextreme-angular@22.1.4/ui/*/package.json',
'npm:devextreme-angular@22.1.4/package.json',
'npm:devexpress-diagram@2.1.63/package.json',
'npm:devexpress-gantt@4.1.32/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.11.4/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

import React from 'react';
import Scheduler, { Resource } from 'devextreme-react/scheduler';
import Query from 'devextreme/data/query';
import Appointment from './Appointment.js';
import AppointmentTooltip from './AppointmentTooltip.js';
import { data, moviesData, theatreData } from './data.js';
const currentDate = new Date(2021, 4, 25);
const views = ['day', 'week', 'timelineDay'];
const groups = ['theatreId'];
class App extends React.Component {
constructor(props) {
super(props);
this.onAppointmentFormOpening = this.onAppointmentFormOpening.bind(this);
}
render() {
return (
<Scheduler
timeZone="America/Los_Angeles"
dataSource={data}
views={views}
defaultCurrentView="day"
defaultCurrentDate={currentDate}
groups={groups}
height={600}
firstDayOfWeek={0}
startDayHour={9}
endDayHour={23}
showAllDayPanel={false}
crossScrollingEnabled={true}
cellDuration={20}
editing={{ allowAdding: false }}
appointmentComponent={Appointment}
appointmentTooltipComponent={AppointmentTooltip}
onAppointmentFormOpening={this.onAppointmentFormOpening}
>
<Resource
dataSource={moviesData}
fieldExpr="movieId"
useColorAsDefault={true}
/>
<Resource
dataSource={theatreData}
fieldExpr="theatreId"
/>
</Scheduler>
);
}
onAppointmentFormOpening(data) {
let form = data.form,
movieInfo = getMovieById(data.appointmentData.movieId) || {},
startDate = data.appointmentData.startDate;
form.option('items', [{
label: {
text: 'Movie'
},
editorType: 'dxSelectBox',
dataField: 'movieId',
editorOptions: {
items: moviesData,
displayExpr: 'text',
valueExpr: 'id',
onValueChanged: function(args) {
movieInfo = getMovieById(args.value);
form.getEditor('director')
.option('value', movieInfo.director);
form.getEditor('endDate')
.option('value', new Date(startDate.getTime() +
60 * 1000 * movieInfo.duration));
}
},
}, {
label: {
text: 'Director'
},
name: 'director',
editorType: 'dxTextBox',
editorOptions: {
value: movieInfo.director,
readOnly: true
}
}, {
dataField: 'startDate',
editorType: 'dxDateBox',
editorOptions: {
width: '100%',
type: 'datetime',
onValueChanged: function(args) {
startDate = args.value;
form.getEditor('endDate')
.option('value', new Date(startDate.getTime() +
60 * 1000 * movieInfo.duration));
}
}
}, {
name: 'endDate',
dataField: 'endDate',
editorType: 'dxDateBox',
editorOptions: {
width: '100%',
type: 'datetime',
readOnly: true
}
}, {
dataField: 'price',
editorType: 'dxRadioGroup',
editorOptions: {
dataSource: [5, 10, 15, 20],
itemTemplate: function(itemData) {
return `$${itemData}`;
}
}
}
]);
}
}
function getMovieById(id) {
return Query(moviesData).filter(['id', id]).toArray()[0];
}
export default App;
import React from 'react';
import Query from 'devextreme/data/query';
import 'devextreme/localization/globalize/date';
import Globalize from 'globalize';
import { moviesData } from './data.js';
function getMovieById(id) {
return Query(moviesData).filter(['id', id]).toArray()[0];
}
export default function Appointment(model) {
const { appointmentData } = model.data;
const movieData = getMovieById(appointmentData.movieId) || {};
return (
<div className="showtime-preview">
<div> {movieData.text}</div>
<div>
Ticket Price: <strong>${ appointmentData.price }</strong>
</div>
<div>
{Globalize.formatDate(appointmentData.startDate, { time: 'short' })}
{' - '}
{Globalize.formatDate(appointmentData.endDate, { time: 'short' }) }
</div>
</div>
);
}
import React from 'react';
import Query from 'devextreme/data/query';
import 'devextreme/localization/globalize/date';
import Globalize from 'globalize';
import { moviesData } from './data.js';
function getMovieById(id) {
return Query(moviesData).filter(['id', id]).toArray()[0];
}
export default class AppointmentTooltip extends React.Component {
constructor(props) {
super(props);
this.state = {
movieData: getMovieById(props.data.appointmentData.movieId)
};
Globalize.locale('en');
}
render() {
const { movieData } = this.state;
return (
<div className="movie-tooltip">
<img src={movieData.image} />
<div className="movie-info">
<div className="movie-title">
{movieData.text} ({movieData.year})
</div>
<div>
Director: {movieData.director}
</div>
<div>
Duration: {movieData.duration} minutes
</div>
</div>
</div>
);
}
}
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app')
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script type="text/javascript" src="https://unpkg.com/globalize/dist/globalize.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/globalize/dist/globalize/date.min.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="long-title"><h3>DXCinema Show Times</h3></div>
<div id="app"></div>
</div>
</body>
</html>
.dx-tooltip-wrapper .dx-overlay-content .dx-popup-content {
padding: 14px;
}
.showtime-preview > div:first-child {
font-size: 12px;
white-space: normal;
}
.showtime-preview > div:not(:first-child) {
font-size: 11px;
white-space: normal;
}
.movie-tooltip .movie-info {
display: inline-block;
margin-left: 10px;
vertical-align: top;
text-align: left;
}
.movie-tooltip img {
height: 80px;
margin-bottom: 10px;
}
.movie-tooltip .movie-title {
font-size: 1.5em;
line-height: 40px;
}
.long-title h3 {
font-family: 'Segoe UI Light', 'Helvetica Neue Light', 'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana;
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
export const moviesData = [{
id: 1,
text: 'His Girl Friday',
director: 'Howard Hawks',
year: 1940,
image: '../../../../images/movies/HisGirlFriday.jpg',
duration: 92,
color: '#cb6bb2'
}, {
id: 2,
text: 'Royal Wedding',
director: 'Stanley Donen',
year: 1951,
image: '../../../../images/movies/RoyalWedding.jpg',
duration: 93,
color: '#56ca85'
}, {
id: 3,
text: 'A Star Is Born',
director: 'William A. Wellman',
year: 1937,
image: '../../../../images/movies/AStartIsBorn.jpg',
duration: 111,
color: '#1e90ff'
}, {
id: 4,
text: 'The Screaming Skull',
director: 'Alex Nicol',
year: 1958,
image: '../../../../images/movies/ScreamingSkull.jpg',
duration: 68,
color: '#ff9747'
}, {
id: 5,
text: 'It\'s a Wonderful Life',
director: 'Frank Capra',
year: 1946,
image: '../../../../images/movies/ItsAWonderfulLife.jpg',
duration: 130,
color: '#f05797'
}, {
id: 6,
text: 'City Lights',
director: 'Charlie Chaplin',
year: 1931,
image: '../../../../images/movies/CityLights.jpg',
duration: 87,
color: '#2a9010'
}];
export const theatreData = [{
text: 'Cinema Hall 1',
id: 0
}, {
text: 'Cinema Hall 2',
id: 1
}
];
export const data = [{
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-24T16:10:00.000Z'),
endDate: new Date('2021-05-24T18:01:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-24T18:30:00.000Z'),
endDate: new Date('2021-05-24T20:02:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 15,
startDate: new Date('2021-05-24T20:30:00.000Z'),
endDate: new Date('2021-05-24T22:21:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-05-24T23:00:00.000Z'),
endDate: new Date('2021-05-25T00:08:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 10,
startDate: new Date('2021-05-25T00:30:00.000Z'),
endDate: new Date('2021-05-25T02:03:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 10,
startDate: new Date('2021-05-25T02:30:00.000Z'),
endDate: new Date('2021-05-25T04:02:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 10,
startDate: new Date('2021-05-25T04:20:00.000Z'),
endDate: new Date('2021-05-25T05:53:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-05-25T16:10:00.000Z'),
endDate: new Date('2021-05-25T18:20:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-25T19:00:00.000Z'),
endDate: new Date('2021-05-25T20:33:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 5,
startDate: new Date('2021-05-25T21:00:00.000Z'),
endDate: new Date('2021-05-25T22:51:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-05-25T23:20:00.000Z'),
endDate: new Date('2021-05-26T00:28:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 10,
startDate: new Date('2021-05-26T01:00:00.000Z'),
endDate: new Date('2021-05-26T02:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 15,
startDate: new Date('2021-05-26T03:00:00.000Z'),
endDate: new Date('2021-05-26T04:33:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-05-26T04:50:00.000Z'),
endDate: new Date('2021-05-26T05:58:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-26T16:00:00.000Z'),
endDate: new Date('2021-05-26T17:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-26T18:00:00.000Z'),
endDate: new Date('2021-05-26T19:33:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-26T20:20:00.000Z'),
endDate: new Date('2021-05-26T22:11:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-05-26T22:45:00.000Z'),
endDate: new Date('2021-05-27T00:55:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 10,
startDate: new Date('2021-05-27T01:20:00.000Z'),
endDate: new Date('2021-05-27T02:28:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 20,
startDate: new Date('2021-05-27T03:00:00.000Z'),
endDate: new Date('2021-05-27T05:10:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-27T16:00:00.000Z'),
endDate: new Date('2021-05-27T17:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-27T18:00:00.000Z'),
endDate: new Date('2021-05-27T19:33:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-27T20:20:00.000Z'),
endDate: new Date('2021-05-27T22:11:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-05-27T22:45:00.000Z'),
endDate: new Date('2021-05-28T00:55:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-05-28T01:20:00.000Z'),
endDate: new Date('2021-05-28T02:28:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-05-28T03:00:00.000Z'),
endDate: new Date('2021-05-28T05:10:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-28T16:30:00.000Z'),
endDate: new Date('2021-05-28T18:03:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-28T18:30:00.000Z'),
endDate: new Date('2021-05-28T20:02:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 5,
startDate: new Date('2021-05-28T20:30:00.000Z'),
endDate: new Date('2021-05-28T22:21:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-05-28T23:00:00.000Z'),
endDate: new Date('2021-05-29T01:10:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 5,
startDate: new Date('2021-05-29T01:30:00.000Z'),
endDate: new Date('2021-05-29T02:38:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 15,
startDate: new Date('2021-05-29T03:20:00.000Z'),
endDate: new Date('2021-05-29T05:11:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-29T16:30:00.000Z'),
endDate: new Date('2021-05-29T18:03:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 10,
startDate: new Date('2021-05-29T18:30:00.000Z'),
endDate: new Date('2021-05-29T20:02:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-29T20:30:00.000Z'),
endDate: new Date('2021-05-29T22:21:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-05-29T23:00:00.000Z'),
endDate: new Date('2021-05-30T01:10:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 10,
startDate: new Date('2021-05-30T01:30:00.000Z'),
endDate: new Date('2021-05-30T02:38:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-30T03:20:00.000Z'),
endDate: new Date('2021-05-30T05:11:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-30T16:30:00.000Z'),
endDate: new Date('2021-05-30T18:03:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-30T18:30:00.000Z'),
endDate: new Date('2021-05-30T20:02:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-30T20:30:00.000Z'),
endDate: new Date('2021-05-30T22:21:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-05-30T23:00:00.000Z'),
endDate: new Date('2021-05-31T01:10:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 10,
startDate: new Date('2021-05-31T01:30:00.000Z'),
endDate: new Date('2021-05-31T02:38:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 15,
startDate: new Date('2021-05-31T03:20:00.000Z'),
endDate: new Date('2021-05-31T05:11:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-05-31T16:30:00.000Z'),
endDate: new Date('2021-05-31T18:03:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-05-31T18:30:00.000Z'),
endDate: new Date('2021-05-31T19:57:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-05-31T20:20:00.000Z'),
endDate: new Date('2021-05-31T22:11:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-05-31T23:00:00.000Z'),
endDate: new Date('2021-06-01T00:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 10,
startDate: new Date('2021-06-01T01:00:00.000Z'),
endDate: new Date('2021-06-01T02:33:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 20,
startDate: new Date('2021-06-01T03:00:00.000Z'),
endDate: new Date('2021-06-01T04:27:00.000Z')
}, {
theatreId: 0,
movieId: 4,
price: 15,
startDate: new Date('2021-06-01T04:50:00.000Z'),
endDate: new Date('2021-06-01T05:58:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-06-02T02:00:00.000Z'),
endDate: new Date('2021-06-01T17:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-06-01T18:30:00.000Z'),
endDate: new Date('2021-06-01T20:03:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-01T20:30:00.000Z'),
endDate: new Date('2021-06-01T22:21:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-01T22:30:00.000Z'),
endDate: new Date('2021-06-02T00:21:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-06-02T00:30:00.000Z'),
endDate: new Date('2021-06-02T01:57:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-06-02T03:00:00.000Z'),
endDate: new Date('2021-06-02T05:10:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-06-03T02:00:00.000Z'),
endDate: new Date('2021-06-02T17:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-06-03T04:00:00.000Z'),
endDate: new Date('2021-06-03T05:33:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-02T20:00:00.000Z'),
endDate: new Date('2021-06-02T21:51:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-02T22:30:00.000Z'),
endDate: new Date('2021-06-03T00:21:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-06-03T00:30:00.000Z'),
endDate: new Date('2021-06-03T01:57:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-06-03T03:00:00.000Z'),
endDate: new Date('2021-06-03T05:10:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-06-03T16:00:00.000Z'),
endDate: new Date('2021-06-03T17:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-06-03T18:00:00.000Z'),
endDate: new Date('2021-06-03T19:33:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-03T20:00:00.000Z'),
endDate: new Date('2021-06-03T21:51:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-03T22:30:00.000Z'),
endDate: new Date('2021-06-04T00:21:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-06-04T00:30:00.000Z'),
endDate: new Date('2021-06-04T01:57:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 15,
startDate: new Date('2021-06-04T03:00:00.000Z'),
endDate: new Date('2021-06-04T05:10:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-06-04T16:00:00.000Z'),
endDate: new Date('2021-06-04T17:33:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-06-04T18:00:00.000Z'),
endDate: new Date('2021-06-04T19:32:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-04T20:00:00.000Z'),
endDate: new Date('2021-06-04T21:51:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-06-04T22:30:00.000Z'),
endDate: new Date('2021-06-05T00:40:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-06-05T01:00:00.000Z'),
endDate: new Date('2021-06-05T02:27:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 15,
startDate: new Date('2021-06-05T03:00:00.000Z'),
endDate: new Date('2021-06-05T04:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-06-05T16:00:00.000Z'),
endDate: new Date('2021-06-05T17:33:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-06-05T18:00:00.000Z'),
endDate: new Date('2021-06-05T19:32:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-05T20:00:00.000Z'),
endDate: new Date('2021-06-05T21:51:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-06-05T22:30:00.000Z'),
endDate: new Date('2021-06-06T00:40:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-06-06T01:00:00.000Z'),
endDate: new Date('2021-06-06T02:27:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 15,
startDate: new Date('2021-06-06T03:00:00.000Z'),
endDate: new Date('2021-06-06T04:32:00.000Z')
}, {
theatreId: 0,
movieId: 2,
price: 5,
startDate: new Date('2021-06-06T16:00:00.000Z'),
endDate: new Date('2021-06-06T17:33:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 5,
startDate: new Date('2021-06-06T18:00:00.000Z'),
endDate: new Date('2021-06-06T19:32:00.000Z')
}, {
theatreId: 0,
movieId: 3,
price: 10,
startDate: new Date('2021-06-06T20:00:00.000Z'),
endDate: new Date('2021-06-06T21:51:00.000Z')
}, {
theatreId: 0,
movieId: 5,
price: 10,
startDate: new Date('2021-06-06T22:30:00.000Z'),
endDate: new Date('2021-06-07T00:40:00.000Z')
}, {
theatreId: 0,
movieId: 6,
price: 15,
startDate: new Date('2021-06-07T01:00:00.000Z'),
endDate: new Date('2021-06-07T02:27:00.000Z')
}, {
theatreId: 0,
movieId: 1,
price: 15,
startDate: new Date('2021-06-07T03:00:00.000Z'),
endDate: new Date('2021-06-07T04:32:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-25T02:30:00.000Z'),
endDate: new Date('2021-05-24T18:21:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-24T19:00:00.000Z'),
endDate: new Date('2021-05-24T20:32:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 15,
startDate: new Date('2021-05-24T21:00:00.000Z'),
endDate: new Date('2021-05-24T22:51:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-05-24T23:10:00.000Z'),
endDate: new Date('2021-05-25T00:18:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 10,
startDate: new Date('2021-05-25T00:30:00.000Z'),
endDate: new Date('2021-05-25T02:03:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 10,
startDate: new Date('2021-05-24T16:30:00.000Z'),
endDate: new Date('2021-05-25T04:02:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 10,
startDate: new Date('2021-05-25T04:20:00.000Z'),
endDate: new Date('2021-05-25T05:53:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-25T16:30:00.000Z'),
endDate: new Date('2021-05-25T18:02:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-25T18:30:00.000Z'),
endDate: new Date('2021-05-25T20:03:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-05-25T20:30:00.000Z'),
endDate: new Date('2021-05-25T22:40:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-05-25T23:00:00.000Z'),
endDate: new Date('2021-05-26T00:08:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 10,
startDate: new Date('2021-05-26T00:30:00.000Z'),
endDate: new Date('2021-05-26T02:02:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 15,
startDate: new Date('2021-05-26T02:40:00.000Z'),
endDate: new Date('2021-05-26T04:13:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-05-26T04:40:00.000Z'),
endDate: new Date('2021-05-26T05:48:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-26T16:30:00.000Z'),
endDate: new Date('2021-05-26T18:02:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-26T18:30:00.000Z'),
endDate: new Date('2021-05-26T20:03:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-05-26T20:30:00.000Z'),
endDate: new Date('2021-05-26T22:41:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-05-26T23:00:00.000Z'),
endDate: new Date('2021-05-27T01:10:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 10,
startDate: new Date('2021-05-27T01:30:00.000Z'),
endDate: new Date('2021-05-27T02:38:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 20,
startDate: new Date('2021-05-27T03:20:00.000Z'),
endDate: new Date('2021-05-27T05:30:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-27T16:30:00.000Z'),
endDate: new Date('2021-05-27T18:02:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-27T18:30:00.000Z'),
endDate: new Date('2021-05-27T20:03:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-05-27T20:30:00.000Z'),
endDate: new Date('2021-05-27T22:41:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-05-27T23:00:00.000Z'),
endDate: new Date('2021-05-28T01:10:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-05-28T01:30:00.000Z'),
endDate: new Date('2021-05-28T02:38:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-05-28T03:20:00.000Z'),
endDate: new Date('2021-05-28T05:30:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-28T16:10:00.000Z'),
endDate: new Date('2021-05-28T17:43:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-28T18:00:00.000Z'),
endDate: new Date('2021-05-28T19:32:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 5,
startDate: new Date('2021-05-28T20:10:00.000Z'),
endDate: new Date('2021-05-28T22:01:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-05-28T22:40:00.000Z'),
endDate: new Date('2021-05-29T00:50:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 5,
startDate: new Date('2021-05-29T01:20:00.000Z'),
endDate: new Date('2021-05-29T02:28:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 15,
startDate: new Date('2021-05-29T03:20:00.000Z'),
endDate: new Date('2021-05-29T05:11:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-29T17:00:00.000Z'),
endDate: new Date('2021-05-29T18:33:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 10,
startDate: new Date('2021-05-29T19:00:00.000Z'),
endDate: new Date('2021-05-29T20:32:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-29T21:00:00.000Z'),
endDate: new Date('2021-05-29T22:51:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-05-29T23:30:00.000Z'),
endDate: new Date('2021-05-30T01:40:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 10,
startDate: new Date('2021-05-30T02:00:00.000Z'),
endDate: new Date('2021-05-30T03:08:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 20,
startDate: new Date('2021-05-30T03:30:00.000Z'),
endDate: new Date('2021-05-30T05:50:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-30T17:00:00.000Z'),
endDate: new Date('2021-05-30T18:33:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-05-30T19:00:00.000Z'),
endDate: new Date('2021-05-30T20:32:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-30T21:00:00.000Z'),
endDate: new Date('2021-05-30T22:51:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-05-30T23:30:00.000Z'),
endDate: new Date('2021-05-31T01:40:00.000Z')
}, {
theatreId: 1,
movieId: 4,
price: 10,
startDate: new Date('2021-05-31T02:00:00.000Z'),
endDate: new Date('2021-05-31T03:08:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-05-31T03:30:00.000Z'),
endDate: new Date('2021-05-31T05:50:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-05-31T17:00:00.000Z'),
endDate: new Date('2021-05-31T18:33:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-05-31T19:00:00.000Z'),
endDate: new Date('2021-05-31T20:27:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-05-31T21:00:00.000Z'),
endDate: new Date('2021-05-31T22:51:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 10,
startDate: new Date('2021-05-31T23:30:00.000Z'),
endDate: new Date('2021-06-01T01:02:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-06-01T01:30:00.000Z'),
endDate: new Date('2021-06-01T03:40:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 20,
startDate: new Date('2021-06-01T04:00:00.000Z'),
endDate: new Date('2021-06-01T05:27:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-06-01T16:30:00.000Z'),
endDate: new Date('2021-06-01T18:02:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 5,
startDate: new Date('2021-06-01T19:00:00.000Z'),
endDate: new Date('2021-06-01T20:27:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-06-01T21:00:00.000Z'),
endDate: new Date('2021-06-01T22:51:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-06-01T23:30:00.000Z'),
endDate: new Date('2021-06-02T01:21:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-06-01T16:00:00.000Z'),
endDate: new Date('2021-06-02T03:27:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 15,
startDate: new Date('2021-06-02T04:00:00.000Z'),
endDate: new Date('2021-06-02T05:33:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-06-02T17:00:00.000Z'),
endDate: new Date('2021-06-02T18:32:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 5,
startDate: new Date('2021-06-02T19:00:00.000Z'),
endDate: new Date('2021-06-02T20:27:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-06-02T21:00:00.000Z'),
endDate: new Date('2021-06-02T22:51:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 10,
startDate: new Date('2021-06-02T23:30:00.000Z'),
endDate: new Date('2021-06-03T01:03:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-06-02T16:00:00.000Z'),
endDate: new Date('2021-06-03T03:27:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 15,
startDate: new Date('2021-06-02T18:00:00.000Z'),
endDate: new Date('2021-06-02T19:33:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-06-03T16:30:00.000Z'),
endDate: new Date('2021-06-03T18:02:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-06-03T18:30:00.000Z'),
endDate: new Date('2021-06-03T20:03:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 10,
startDate: new Date('2021-06-03T21:00:00.000Z'),
endDate: new Date('2021-06-03T22:27:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-06-03T23:00:00.000Z'),
endDate: new Date('2021-06-04T00:51:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-06-04T01:10:00.000Z'),
endDate: new Date('2021-06-04T02:37:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 20,
startDate: new Date('2021-06-04T03:30:00.000Z'),
endDate: new Date('2021-06-04T05:40:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-06-04T16:30:00.000Z'),
endDate: new Date('2021-06-04T18:02:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-06-04T18:30:00.000Z'),
endDate: new Date('2021-06-04T20:02:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 10,
startDate: new Date('2021-06-04T21:00:00.000Z'),
endDate: new Date('2021-06-04T22:27:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-06-04T23:00:00.000Z'),
endDate: new Date('2021-06-05T00:51:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-06-05T01:10:00.000Z'),
endDate: new Date('2021-06-05T02:37:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 15,
startDate: new Date('2021-06-05T03:20:00.000Z'),
endDate: new Date('2021-06-05T05:30:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-06-05T16:30:00.000Z'),
endDate: new Date('2021-06-05T18:02:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-06-05T18:30:00.000Z'),
endDate: new Date('2021-06-05T20:02:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-06-05T20:30:00.000Z'),
endDate: new Date('2021-06-05T22:21:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-06-05T23:00:00.000Z'),
endDate: new Date('2021-06-06T01:10:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-06-06T01:30:00.000Z'),
endDate: new Date('2021-06-06T02:57:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 15,
startDate: new Date('2021-06-06T03:30:00.000Z'),
endDate: new Date('2021-06-06T05:03:00.000Z')
}, {
theatreId: 1,
movieId: 2,
price: 5,
startDate: new Date('2021-06-06T16:30:00.000Z'),
endDate: new Date('2021-06-06T18:03:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 5,
startDate: new Date('2021-06-06T18:30:00.000Z'),
endDate: new Date('2021-06-06T20:02:00.000Z')
}, {
theatreId: 1,
movieId: 3,
price: 10,
startDate: new Date('2021-06-06T20:30:00.000Z'),
endDate: new Date('2021-06-06T22:21:00.000Z')
}, {
theatreId: 1,
movieId: 5,
price: 10,
startDate: new Date('2021-06-06T23:00:00.000Z'),
endDate: new Date('2021-06-07T01:10:00.000Z')
}, {
theatreId: 1,
movieId: 6,
price: 15,
startDate: new Date('2021-06-07T01:30:00.000Z'),
endDate: new Date('2021-06-07T02:57:00.000Z')
}, {
theatreId: 1,
movieId: 1,
price: 15,
startDate: new Date('2021-06-07T03:30:00.000Z'),
endDate: new Date('2021-06-07T05:02:00.000Z')
}
];
System.config({
transpiler: 'plugin-babel',
meta: {
},
paths: {
'npm:': 'https://unpkg.com/'
},
defaultExtension: 'js',
map: {
'react': 'npm:react@16.14.0/umd/react.development.js',
'react-dom': 'npm:react-dom@16.14.0/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.7.2/prop-types.js',
'globalize': 'npm:globalize@1.1.1/dist/globalize',
'json': 'npm:systemjs-plugin-json@0.3.0/json.js',
'cldr': 'npm:cldrjs@0.4.4/dist/cldr',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'devextreme-react': 'npm:devextreme-react@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme': {
defaultExtension: 'js'
},
'devextreme-react': {
main: 'index.js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'globalize': {
main: '../globalize.js',
defaultExtension: 'js'
},
'cldr': {
main: '../cldr.js',
defaultExtension: 'js'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true,
react: true
}
});